# -*- coding: utf-8 -*-
"""
Created on Tue Sep 24 14:12:05 2024

@author: inagle
"""

import numpy as np
import matplotlib
import matplotlib.pyplot as pl
import pandas
import io

import codecs


def readRheo(datafile):
    f = open(datafile, 'r', encoding='UTF-8')
    lines = f.readlines()
    nolines = len(lines)
    indices = []
    start = False
    for i in range(nolines):
        if lines[i][0] == '1' and start == False:
            indices.append(i)
            start = True
        if (lines[i][0] in ['\t', '\n', '\r\n', ';']) and start:
            indices.append(i-1)
            start = False
    data = np.array([None for k in range(int(len(indices)/2)+1)])
    header = np.array([None for k in range(int(len(indices)/2)+1)])
    for i in range(int(len(indices)/2)+1):
        if i != int(len(indices)/2):
            data[i] = pandas.read_csv(datafile, header=0, delimiter=';', skiprows=indices[2*i]-2,
                                      nrows=(indices[(2*i)+1]+2-indices[2*i]), encoding='unicode_escape')
            data[i] = data[i].iloc[1:]
        else:
            data[i] = pandas.read_csv(
                datafile, header=0, delimiter=';', skiprows=indices[2*i]-2, encoding='unicode_escape')
            data[i] = data[i].iloc[1:]
    return data


#Reading all data
#Replace by inagle or inagle accordingly

#Data collection for all experiments
data_081123_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20231108 - Rheology - Chondrocytes/20231108-4mgmlcollagen-bovinechondrocytesP0__New Table Template__20231116151211_rheo1.csv")
data_081123_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20231108 - Rheology - Chondrocytes/20231108-4mgmlcollagen-bovinechodrocytes__New Table Template__20231116143438_rheo2.csv")

data_141123_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20231114_Rheology/231114_MDAMB231_in_collagenI_4mgmL_NewTableTemplate_20231116151739_reho1.csv")
data_141123_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20231114_Rheology/231114_MDAMB231_in_collagenI_4mgmL_NewTableTemplate_20231116144155_rheo2.csv")

data_201123_rheo1 = readRheo('C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20231120 - Rheology/231120 - MDA-MB-231 in collagen I 4 mgmL__New Table Template__20231207103832_rheo1.csv')
data_201123_rheo2 = readRheo('C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20231120 - Rheology/231120 - MDA-MB-231 in collagen I 4 mgmL__New Table Template__20231207100127_rheo2.csv')

data_271123_rheo1 = readRheo('C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20231127 - Rheology/231127 - MDA-MB-231 in collagen I 4 mgmL__New Table Template__20231204154418_rheo1.csv')
data_271123_rheo2 = readRheo('C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20231127 - Rheology/231127 - MDA-MB-231 in collagen I 4 mgmL__New Table Template__20231214110913_rheo2.csv')


data_041223_rheo1 = readRheo('C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20231204 - Rheology/231204 - MDA-MB-231 in collagen I 4 mgmL__New Table Template__20231207103847_rheo1.csv')
data_041223_rheo2 = readRheo('C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20231204 - Rheology/231204 - MDA-MB-231 in collagen I 4 mgmL__New Table Template__20231207100142_rheo2.csv')

data_061223_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20231206 - Rheology - Chondrocytes/231206 -BC P0 Ng in collagen I 4 mgmL__New Table Template__20231207103820_rheo1.csv")   
data_061223_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20231206 - Rheology - Chondrocytes/231206 - BC P0 NG in collagen I 4 mgmL__New Table Template__20231207100100_rheo2.csv")    

data_150124_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240115 - Rheology/20240115 - Collagen 4mgml CTL polymerization__New Table Template__20240118104216_rheo1.csv")

data_160124_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240116 - Rheology/20240116 - MDAMB231 collagen I 4 mgmL__New Table Template__20240118103849_rheo1.csv")
data_160124_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240116 - Rheology/20240116 - MDAMB231 in collagen I 4 mgmL__New Table Template__20240118095908_rheo2.csv")
                              
                             
data_170124_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240117 - Rheology/20240117 - MDAMB231 in collagen 4mgml__New Table Template__20240118103316_rheo1.csv")                          
data_170124_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240117 - Rheology/20240117 - MDAMB231 in collagen I 4mgmL__New Table Template__20240118100049_rheo2.csv")

data_230124_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240123 - Rheology/20240123 - MDAMB231 in collagen 4mgml__New Table Template__20240216175056_rheo1.csv")                          
data_230124_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240123 - Rheology/20240123 - MDAMB231 in collagen 4 mgmL__New Table Template__20240216171229_rheo2.csv")

data_300124_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240130 - Rheology/20240130 - MDAMB231 in collagen 4mgml__New Table Template__20240202151359_rheo1.csv")                          
data_300124_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240130 - Rheology/20240130 - MDAMB231 in collagen 4mgmL__New Table Template__20240202144446_rheo2.csv")

data_020224_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240202 - Rheology/20240202-  Collagen 4mgml CTL with coverslip__New Table Template__20240202151706_rheo1.csv")                          

data_060224_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240206 - Rheology/20240206 - MDAMB231 in collagen 4mgml__New Table Template__20240216164134_rheo1.csv")
data_060224_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240206 - Rheology/20240206 - MDAMB231 in collagen 4mgmL__New Table Template__20240216160908_rheo2.csv")

data_130224_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240213 - Rheology/20240213 - MDAMB231 in collagen 4mgml__New Table Template__20240216163755_rheo1.csv")
data_130224_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240213 - Rheology/20240213 - MDAMB231 in collagen 4mgmL__New Table Template__20240216160737_rheo2.csv")

data_160224_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240216 - Rheology/20240216 - MDAMB231 in collagen 4mgml__New Table Template__20240216163454_rheo1.csv")
data_160224_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240216 - Rheology/20240216 - MDAMB231 in collagen 4mgmL__New Table Template__20240216160618_rheo2.csv")

data_190224_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240219 - Rheology/20240219 - MDAMB231 in collagen 4mgml__New Table Template__20240226152110_rheo1.csv")
data_190224_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240219 - Rheology/20240219 - MDAMB231 in collagen I 4 mgmL__New Table Template__20240226123051_rheo2.csv")

data_050324_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240305 - Rheology/20240305 - MDAMB231 in collagen 4mgml__New Table Template__20240326181326_rheo1.csv")
data_050324_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240305 - Rheology/20240305 - MDAMB231 in collagen I 4 mgmL__New Table Template__20240326173818_rheo2.csv")

data_190324_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240319 - Rheology/20240319 - MDAMB231 in collagen 4mgml__New Table Template__20240326181554_rheo1.csv")
data_190324_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240319 - Rheology/20240319 - MDAMB231 in collagen I 4 mgmL__New Table Template__20240326174054_rheo2.csv")

data_250324_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240325 - Rheology/20240325 - MDAMB231 in collagen 4mgml__New Table Template__20240326181738_rheo1.csv")
data_250324_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240325 - Rheology/20240325 - MDAMB231 in collagen I 4 mgmL__New Table Template__20240326174340_rheo2.csv")

data_190424_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240419 - Rheology/20240419 - MDAMB231 in collagen 4mgml__New Table Template__20240326181738_rheo1.csv")
data_190424_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240419 - Rheology/20240419 - MDAMB231 in collagen I 4 mgmL__New Table Template__20240326174340_rheo2.csv")

#Data collection TELOcollagen
data_160524_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240516 - Rheology/20240516 - telocollagen 4mgml_rheo1.csv")
data_160524_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240516 - Rheology/20240516 - telocollagen I 4 mgmL_rheo2.csv")

data_170524_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240517 - Rheology/20240517 - MDAMB231 in telocollagen 4mgml_rheo1.csv")
data_170524_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240517 - Rheology/20240517 - MDAMB231 in telocollagen I 4 mgmL_rheo2.csv")

data_220524_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240522 - Rheology/20240522 - MDAMB231 in telocollagen I 4 mgmL_rheo1.csv")
data_220524_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240522 - Rheology/20240522 - MDAMB231 in telocollagen I 4 mgmL_rheo2.csv")

data_290524_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240529 - Rheology/20240529 - MDAMB231 in telocollagen 4mgml_rheo1.csv")
data_290524_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240529 - Rheology/20240529 - MDAMB231 in telocollagen I 4 mgmL_rheo2.csv")

#Data collection atelocollagen again 
 
data_250624_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240625 - Rheology/20240625 - MDAMB231 in atelocollagen 2mgml_rheo1.csv")
data_250624_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240625 - Rheology/20240625 - MDAMB231 in atelocollagen I 2 mgmL_rheo2.csv")

data_030724_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240703 - Rheology/20240703 - MDAMB231 in atelocollagen 4mgml_rheo1.csv")
data_030724_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240703 - Rheology/20240703 - MDAMB231 in atelocollagen I 4 mgmL_rheo2.csv")

data_110724_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240711 - Rheology/20240711 - MDAMB231 in atelocollagen 4mgml_rheo1.csv")
data_110724_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240711 - Rheology/20240711 - MDAMB231 in atelocollagen I 4 mgmL_rheo2.csv")

data_220724_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240722 - Rheology/20240722 - MDAMB231 in atelocollagen 4mgml - EDTA_rheo1.csv")
data_220724_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240722 - Rheology/20240722 - MDAMB231 in atelocollagen I 4 mgmL - EDTA_rheo2.csv")

data_110924_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240911 - Rheology/20240911 - atelocollagen I 4 mgmL with or without EDTA and HEPES_rheo1.csv")
data_110924_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240911 - Rheology/20240911 - atelocollagen I 4 mgmL with or without EDTA and HEPES_rheo2.csv")

data_120924_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240912 - Rheology/20240912 - MDAMB231 in atelocollagen 4mgml - EDTA_rheo1.csv")
data_120924_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240912 - Rheology/20240912 - MDAMB231 in atelocollagen I 4 mgmL - EDTA_rheo2.csv")

data_180924_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240918 - Rheology/20240918 - MDAMB231 in atelocollagen 4mgml - EDTA _rheo1.csv")
data_180924_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240918 - Rheology/20240918 - MDAMB231 in atelocollagen I 4 mgmL - EDTA_rheo2.csv")

data_270924_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240927 - Rheology/20240927 - MDAMB231 in atelocollagen 4mgml - EDTA_rheo1.csv")
data_270924_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20240927 - Rheology/20240927 - MDAMB231 in atelocollagen I 4 mgmL - EDTA_rheo2.csv")

data_171024_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20241017 - Rheology/20241017 - atelocollagen 4mgml - with or without EDTA_rheo1.csv")
data_171024_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20241017 - Rheology/20241017 - atelocollagen 4 mgmL - with or without EDTA_rheo2.csv")

data_231024_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20241023 - Rheology/20241023 - MDAMB231 atelocollagen 4mgml - 20% HEPES and 4% 10uM Bat_rheo1.csv")
data_231024_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20241023 - Rheology/20241023 - MDAMB231 atelocollagen 4 mgmL - 20% HEPES and 4% 10uM Bat_rheo2.csv")

data_071124_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20241107 - Rheology/20241107 - MDAMB231 atelocollagen 4mgml - 4% cells w or without DMSO_rheo1.csv")
data_071124_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20241107 - Rheology/20241107 - MDAMB231 atelocollagen 4 mgmL - 4% with or without DMSO_rheo2.csv")

data_121124_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20241112 - Rheology/20241112 - PA beads in atelocollagen 4mgml_rheo1.csv")
data_121124_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20241112 - Rheology/20241112 - PA beads in atelocollagen 4 mgmL_rheo2.csv")

data_131124_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20241113 - Rheology/20241113 - MDAMB231 atelocollagen 4mgml - 4% cells w or without DMSO_rheo1.csv")
data_131124_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20241113 - Rheology/20241113 - MDAMB231 atelocollagen 4 mgmL - 4% with or without DMSO_rheo2.csv")

data_141124_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20241114 - Rheology/20241114 - MDAMB231 atelocollagen 4mgml - 4% cells w or without DMSO_rheo1.csv")
data_141124_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20241114 - Rheology/20241114 - MDAMB231 atelocollagen 4 mgmL - 4% with or without DMSO_rheo2.csv")

data_191124_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20241119 - Rheology/20241119 - MDAMB231 atelocollagen 4mgml - 4% cells w or without DMSO or PAA beads 4%-20% - rheo1.csv")
data_191124_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20241119 - Rheology/20241119 - MDAMB231 atelocollagen 4 mgmL - 4% with or without DMSO or PAA beads 4%-20% - rheo2.csv")

data_041224_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20241204 - Rheology/20241204 - MDAMB231 atelocollagen 4mgml with p5d2_rheo1.csv")
data_041224_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20241204 - Rheology/20241204 - MDAMB231 atelocollagen 4 mgmL with p5d2_rheo2.csv")

data_131224_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20241213 - Rheology/20241213 - MDAMB231 atelocollagen 4mgml with p5d2_rheo1.csv")
data_131224_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20241213 - Rheology/20241213 - MDAMB231 atelocollagen 4 mgmL with p5d2_rheo2.csv")

data_181224_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20241218 - Rheology/20241218 - MDAMB231 atelocollagen 4mgml_rheo1.csv")
data_181224_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20241218 - Rheology/20241218 - MDAMB231 atelocollagen 4 mgmL_rheo2.csv")


##Data collection for Human dermal fibroblasts (HDF)

data_221124_rheo1 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20241122 - Rheology/20241122 - HDF in atelocollagen 4mgml_rheo1.csv")
data_221124_rheo2 = readRheo("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_GKLab/20241122 - Rheology/20241122 - HDF in atelocollagen 4 mgmL_rheo2.csv")


#Data collection for PPE experiments 
data_150224_PPE = readRheo ("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_PBlab/20240215 - Rheology/20240215 - collagen I 4 mgmL__New Table Template__20240216163923.csv")
data_200224_PPE = readRheo ("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_PBlab/20240220 - Rheology/20240220 - MDAMB231 in collagen I 4 mgmL__New Table Template__20240220182006.csv")
data_270224_PPE = readRheo ("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_PBlab/20240227 - Rheology/20240227 - collagen I 4 mgmL__New Table Template__20240228120001.csv")
data_030724_PPE = readRheo ("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_PBlab/20240703 - Rheology/20240703 - MDAMB231 in atelocollagen I 4 mgmL__New Table Template__20241108103850.csv")
data_220724_PPE = readRheo ("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_PBlab/20240722 - Rheology/20240722 - MDAMB231 in atelocollagen I 4 mgmL__New Table Template__20241108103937.csv")
data_180924_PPE = readRheo ("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_PBlab/20240918 - Rheology/20240918 - CTL atelocollagen I 4 mgmL__New Table Template__20241108103955.csv")
data_270924_PPE = readRheo ("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_PBlab/20240927 - Rheology/20240927 - CTL atelocollagen I 4 mgmL__New Table Template__20241108104011.csv")
data_111024_PPE = readRheo ("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_PBlab/20241011 - Rheology/20241011 - CTL atelocollagen I 4 mgmL__New Table Template__20241108104033.csv")
data_061124_PPE = readRheo ("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_PBlab/20241106 - Rheology/20241106 - MDAMB231 in atelocollagen I 4 mgmL__New Table Template__20241108104100.csv")
data_071124_PPE = readRheo ("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_PBlab/20241107 - Rheology/20241107 - MDAMB231 in atelocollagen I 4mgmL - part2__New Table Template__20241108104202.csv")
data_181224_PPE = readRheo ("C:/Users/inagle/OneDrive - Delft University of Technology/Rheomicroscopy/Rheology_PBlab/20241218 - Rheology/20241218 - MDAMB231 in atelocollagen I 4mgmL 4 percent_Amplitude Sweep_20250128092141.csv")




## Bovine chondrocytes
#Data collection for experiment with bovine chondrocytes 08/11/2023 - Polymerisation and Frequency sweep
BC_10percent_pol_081123_1 = data_081123_rheo1[1];
BC_10percent_pol_081123_2 = data_081123_rheo2[1];
BC_10percent_freqsweep_081123_1 = data_081123_rheo1[2];
BC_10percent_freqsweep_081123_2 = data_081123_rheo2[2];

BC_1percent_pol_081123_1 = data_081123_rheo1[17];
BC_1percent_pol_081123_2 = data_081123_rheo2[18];
BC_1percent_freqsweep_081123_1 = data_081123_rheo1[18];
BC_1percent_freqsweep_081123_2 = data_081123_rheo2[19];

CTL_pol_081123_1 = data_081123_rheo1[33]
CTL_pol_081123_2 = data_081123_rheo2[35];
CTL_freqsweep_081123_1 = data_081123_rheo1[34];
CTL_freqsweep_081123_2 = data_081123_rheo2[36];

#Data collection for experiment with bovine chondrocytes 06/12/2023 - Polymerisation and Frequency sweep
CTL_pol_061223_1 = data_061223_rheo1[32];
CTL_pol_061223_2 = data_061223_rheo2[32];
CTL_freqsweep_061223_1 = data_061223_rheo1[33];
CTL_freqsweep_061223_2 = data_061223_rheo2[33];

BC_10percent_pol_061223_1 = data_061223_rheo1[0];
BC_10percent_pol_061223_2 = data_061223_rheo2[0];
BC_10percent_freqsweep_061223_1 = data_061223_rheo1[1];
BC_10percent_freqsweep_061223_2 = data_061223_rheo2[1];

BC_0pt1percent_pol_061223_1 = data_061223_rheo1[16];
BC_0pt1percent_pol_061223_2 = data_061223_rheo2[16];
BC_0pt1percent_freqsweep_061223_1 = data_061223_rheo1[17];
BC_0pt1percent_freqsweep_061223_2 = data_061223_rheo2[17];



##MDA-MB-231 
#Data collection for experiment with MDA-MB-231 14/11/2023 - Polymerisation and Frequency sweep
CTL_pol_141123_1 = data_141123_rheo1[0];
CTL_pol_141123_2 = data_141123_rheo2[0];
CTL_freqsweep_141123_1 = data_141123_rheo1[1];
CTL_freqsweep_141123_2 = data_141123_rheo2[1];

MDA_10percent_pol_141123_1 = data_141123_rheo1[16];
MDA_10percent_pol_141123_2 = data_141123_rheo2[16];
MDA_10percent_freqsweep_141123_1 = data_141123_rheo1[17];
MDA_10percent_freqsweep_141123_2 = data_141123_rheo2[17];

MDA_10percentfixed_pol_141123_1 = data_141123_rheo1[32];
MDA_10percentfixed_pol_141123_2 = data_141123_rheo2[32];
MDA_10percentfixed_freqsweep_141123_1 = data_141123_rheo1[33];
MDA_10percentfixed_freqsweep_141123_2 = data_141123_rheo2[33];

MDA_1percent_pol_141123_1 = data_141123_rheo1[48];
#MDA_1percent_pol_141123_2 = data_141123_rheo2[48];
MDA_1percent_freqsweep_141123_1 = data_141123_rheo1[49];
#MDA_1percent_freqsweep_141123_2 = data_141123_rheo2[49];

#Data collection for experiment with MDA-MB-231 20/11/2023 - Polymerisation and Frequency sweep
MDA_10percent_pol_201123_1 = data_201123_rheo1[0];
MDA_10percent_pol_201123_2 = data_201123_rheo2[0];
MDA_10percent_freqsweep_201123_1 = data_201123_rheo1[1];
MDA_10percent_freqsweep_201123_2 = data_201123_rheo2[1];

CTL_pol_201123_1 = data_201123_rheo1[16];
CTL_pol_201123_2 = data_201123_rheo2[16];
CTL_freqsweep_201123_1 = data_201123_rheo1[17];
CTL_freqsweep_201123_2 = data_201123_rheo2[17];

MDA_1percent_pol_201123_1 = data_201123_rheo1[32];
MDA_1percent_pol_201123_2 = data_201123_rheo2[32];
MDA_1percent_freqsweep_201123_1 = data_201123_rheo1[33];
MDA_1percent_freqsweep_201123_2 = data_201123_rheo2[33];

MDA_10percentfixed_pol_201123_1 = data_201123_rheo1[48];
MDA_10percentfixed_pol_201123_2 = data_201123_rheo2[48];
MDA_10percentfixed_freqsweep_201123_1 = data_201123_rheo1[49];
MDA_10percentfixed_freqsweep_201123_2 = data_201123_rheo2[49];


#Data collection for experiment with MDA-MB-231 27/11/2023 - Polymerisation and Frequency sweep
CTL_pol_271123_1 = data_271123_rheo1[0];
CTL_pol_271123_2 = data_271123_rheo2[0];
CTL_freqsweep_271123_1 = data_271123_rheo1[1];
CTL_freqsweep_271123_2 = data_271123_rheo2[1];

MDA_0pt1percent_pol_271123_1 = data_271123_rheo1[48];
MDA_0pt1percent_pol_271123_2 = data_271123_rheo2[48];
MDA_0pt1percent_freqsweep_271123_1 = data_271123_rheo1[49];
MDA_0pt1percent_freqsweep_271123_2 = data_271123_rheo2[49];

MDA_5percent_pol_271123_1 = data_271123_rheo1[16];
MDA_5percent_pol_271123_2 = data_271123_rheo2[16];
MDA_5percent_freqsweep_271123_1 = data_271123_rheo1[17];
MDA_5percent_freqsweep_271123_2 = data_271123_rheo2[17];

MDA_20percent_pol_271123_1 = data_271123_rheo1[32];
MDA_20percent_pol_271123_2 = data_271123_rheo2[32];
MDA_20percent_freqsweep_271123_1 = data_271123_rheo1[33];
MDA_20percent_freqsweep_271123_2 = data_271123_rheo2[33];


#Data collection for experiment with MDA-MB-231 04/12/2023 - Polymerisation and Frequency sweep
CTL_pol_041223_1 = data_041223_rheo1[16];
CTL_pol_041223_2 = data_041223_rheo2[16];
CTL_freqsweep_041223_1 = data_041223_rheo1[17];
CTL_freqsweep_041223_2 = data_041223_rheo2[17];

MDA_5percent_pol_041223_1 = data_041223_rheo1[32];
MDA_5percent_pol_041223_2 = data_041223_rheo2[32];
MDA_5percent_freqsweep_041223_1 = data_041223_rheo1[33];
MDA_5percent_freqsweep_041223_2 = data_041223_rheo2[33];

MDA_20percent_pol_041223_1 = data_041223_rheo1[0];
MDA_20percent_pol_041223_2 = data_041223_rheo2[0];
MDA_20percent_freqsweep_041223_1 = data_041223_rheo1[1];
MDA_20percent_freqsweep_041223_2 = data_041223_rheo2[1];


# #Data collection for experiment with MDA-MB-231 15/01/2024 - Polymerisation 
CTL_pol_150124_1 = data_150124_rheo1[0];

# #Data collection for experiment with MDA-MB-231 16/01/2024 - Polymerisation, Frequency sweep, Stress ramp and static experiments CTL and 10%
MDA_10percent_pol_160124_1 = data_160124_rheo1[0];
MDA_10percent_freqsweep_160124_1 = data_160124_rheo1[1];
MDA_10percent_stressramp_160124_1 = data_160124_rheo1[2];

#stastic 10%
MDA_10percent_static_freqsweep_160124_2 = data_160124_rheo2[1];
MDA_10percent_static_stressramp_160124_2 = data_160124_rheo2[2];

MDA_1percent_pol_160124_1 = data_160124_rheo1[3];
MDA_1percent_pol_160124_2 = data_160124_rheo2[3];
MDA_1percent_freqsweep_160124_1 = data_160124_rheo1[4];
MDA_1percent_freqsweep_160124_2 = data_160124_rheo2[4];
MDA_1percent_stressramp_160124_1 = data_160124_rheo1[5];
MDA_1percent_stressramp_160124_2 = data_160124_rheo2[5];

CTL_pol_160124_1 = data_160124_rheo1[6];
CTL_freqsweep_160124_1 = data_160124_rheo1[7];
CTL_stressramp_160124_1 = data_160124_rheo1[8];

#static CTL
CTL_static_pol_160124_2 = data_160124_rheo2[6];
CTL_static_freqsweep_160124_2 = data_160124_rheo2[7];
CTL_static_stressramp_160124_2 = data_160124_rheo2[8];

# #Data collection for experiment with MDA-MB-231 17/01/2024 - Polymerisation, Frequency sweep, Stress ramp and static experiment CTL and 10%
MDA_10percent_pol_170124_1 = data_170124_rheo1[0];
MDA_10percent_freqsweep_170124_1 = data_170124_rheo1[1];
MDA_10percent_stressramp_170124_1 = data_170124_rheo1[2];

MDA_1percent_pol_170124_1 = data_170124_rheo1[3];
MDA_1percent_freqsweep_170124_1 = data_170124_rheo1[4];
MDA_1percent_stressramp_170124_1 = data_170124_rheo1[5];

CTL_pol_170124_1 = data_170124_rheo1[6];
CTL_freqsweep_170124_1 = data_170124_rheo1[7];
CTL_stressramp_170124_1 = data_170124_rheo1[8];

#stastic 10%
MDA_10percent_static_freqsweep_170124_2 = data_170124_rheo2[1];
MDA_10percent_static_stressramp_170124_2 = data_170124_rheo2[2];


MDA_1percent_pol_170124_2 = data_170124_rheo2[3];
MDA_1percent_freqsweep_170124_2 = data_170124_rheo2[4];
MDA_1percent_stressramp_170124_2 = data_170124_rheo2[5];


#static CTL
CTL_static_pol_170124_2 = data_170124_rheo2[7]; #only one minute of 1Hz and 1% strain
CTL_static_freqsweep_170124_2 = data_170124_rheo2[8];
CTL_static_stressramp_170124_2 = data_170124_rheo2[9];


##Data collection for experiment with MDA-MB-231 23/01/2024 - Polymerisation, Frequency sweep, Stress ramp and different gaps CTL and 10%
MDA_10percent_g016_pol_23012024_1 = data_230124_rheo1[0];
MDA_10percent_g016_freqsweep_23012024_1 = data_230124_rheo1[1];
MDA_10percent_g016_stressramp_23012024_1 = data_230124_rheo1[2];

CTL_g032_pol_23012024_1 = data_230124_rheo1[3];
CTL_g032_freqsweep_23012024_1 = data_230124_rheo1[4];
CTL_g032_stressramp_23012024_1 = data_230124_rheo1[5];

MDA_10percent_g048_pol_23012024_1 = data_230124_rheo1[6];
MDA_10percent_g048_freqsweep_23012024_1 = data_230124_rheo1[7];
MDA_10percent_g048_stressramp_23012024_1 = data_230124_rheo1[8];

MDA_10percent_g032_pol_23012024_2 = data_230124_rheo2[0];
MDA_10percent_g032_freqsweep_23012024_2 = data_230124_rheo2[1];
MDA_10percent_g032_stressramp_23012024_2 = data_230124_rheo2[2];

CTL_g048_pol_23012024_2 = data_230124_rheo2[3];
CTL_g048_freqsweep_23012024_2 = data_230124_rheo2[4];
CTL_g048_stressramp_23012024_2 = data_230124_rheo2[5];

MDA_10percent_g016_pol_23012024_2 = data_230124_rheo2[6];
MDA_10percent_g016_freqsweep_23012024_2 = data_230124_rheo2[7];
MDA_10percent_g016_stressramp_23012024_2 = data_230124_rheo2[8];

##Data collection for experiment with MDA-MB-231 30/01/2024 - Polymerisation, Frequency sweep, Stress ramp, 1% cells and 1% cells with 10 uM Batimastat for 3 hours cells in suspension 
MDA_1percent_pol_1_30012024_1 = data_300124_rheo1[0]
MDA_1percent_freqsweep_1_30012024_1 = data_300124_rheo1[1]
MDA_1percent_stressramp_1_30012024_1 = data_300124_rheo1[2]

MDA_1percent_10uMBat_pol_1_30012024_1 = data_300124_rheo1[3]
MDA_1percent_10uMBat_freqsweep_1_30012024_1 = data_300124_rheo1[4]
MDA_1percent_10uMBat_stressramp_1_30012024_1 = data_300124_rheo1[5]

MDA_1percent_pol_2_30012024_1 = data_300124_rheo1[6]
MDA_1percent_freqsweep_2_30012024_1 = data_300124_rheo1[7]
MDA_1percent_stressramp_2_30012024_1 = data_300124_rheo1[8]

MDA_1percent_10uMBat_pol_2_30012024_1 = data_300124_rheo1[9]
MDA_1percent_10uMBat_freqsweep_2_30012024_1 = data_300124_rheo1[10]
MDA_1percent_10uMBat_stressramp_2_30012024_1 = data_300124_rheo1[11]


MDA_1percent_pol_1_30012024_2 = data_300124_rheo2[0]
MDA_1percent_freqsweep_1_30012024_2 = data_300124_rheo2[1]
MDA_1percent_stressramp_1_30012024_2 = data_300124_rheo2[2]

MDA_1percent_10uMBat_pol_1_30012024_2 = data_300124_rheo2[3]
MDA_1percent_10uMBat_freqsweep_1_30012024_2 = data_300124_rheo2[4]
MDA_1percent_10uMBat_stressramp_1_30012024_2 = data_300124_rheo2[5]

MDA_1percent_pol_2_30012024_2 = data_300124_rheo2[6]
MDA_1percent_freqsweep_2_30012024_2 = data_300124_rheo2[7]
MDA_1percent_stressramp_2_30012024_2 = data_300124_rheo2[8]

MDA_1percent_10uMBat_pol_2_30012024_2 = data_300124_rheo2[9]
MDA_1percent_10uMBat_freqsweep_2_30012024_2 = data_300124_rheo2[10]
MDA_1percent_10uMBat_stressramp_2_30012024_2 = data_300124_rheo2[11]

## Data collection for experiment with CTL collagen and a glued glass coverslip on the bottom plate 02/02/2024 - Polymerisation, Frequency sweep, Stress ramp
CTL_glass_pol_020224 = data_020224_rheo1[0]
CTL_glass_freqsweep_020224 = data_020224_rheo1[1]
CTL_glass_stressramp_020224 = data_020224_rheo1[2]

##Data collection for experiment with MDA-MB-231 06/02/2024 - Polymerisation, Frequency sweep, Stress ramp, 1% cells and 1% cells with 10 uM Batimastat for 3 hours cells in suspension 
MDA_1percent_pol_1_06022024_1 = data_060224_rheo1[0]
MDA_1percent_freqsweep_1_06022024_1 = data_060224_rheo1[1]
MDA_1percent_stressramp_1_06022024_1 = data_060224_rheo1[2]

MDA_1percent_10uMBat_pol_1_06022024_1 = data_060224_rheo1[3]
MDA_1percent_10uMBat_freqsweep_1_06022024_1 = data_060224_rheo1[4]
MDA_1percent_10uMBat_stressramp_1_06022024_1 = data_060224_rheo1[5]

MDA_1percent_pol_2_06022024_1 = data_060224_rheo1[6]
MDA_1percent_freqsweep_2_06022024_1 = data_060224_rheo1[7]
MDA_1percent_stressramp_2_06022024_1 = data_060224_rheo1[8]

MDA_1percent_10uMBat_pol_2_06022024_1 = data_060224_rheo1[9]
MDA_1percent_10uMBat_freqsweep_2_06022024_1 = data_060224_rheo1[10]
MDA_1percent_10uMBat_stressramp_2_06022024_1 = data_060224_rheo1[11]

MDA_1percent_pol_1_06022024_2 = data_060224_rheo2[0]
MDA_1percent_freqsweep_1_06022024_2 = data_060224_rheo2[1]
MDA_1percent_stressramp_1_06022024_2 = data_060224_rheo2[2]

MDA_1percent_10uMBat_pol_1_06022024_2 = data_060224_rheo2[3]
MDA_1percent_10uMBat_freqsweep_1_06022024_2 = data_060224_rheo2[4]
MDA_1percent_10uMBat_stressramp_1_06022024_2 = data_060224_rheo2[5]

MDA_1percent_pol_2_06022024_2 = data_060224_rheo2[6]
MDA_1percent_freqsweep_2_06022024_2 = data_060224_rheo2[7]
MDA_1percent_stressramp_2_06022024_2 = data_060224_rheo2[8]

MDA_1percent_10uMBat_pol_2_06022024_2 = data_060224_rheo2[9]
MDA_1percent_10uMBat_freqsweep_2_06022024_2 = data_060224_rheo2[10]
MDA_1percent_10uMBat_stressramp_2_06022024_2 = data_060224_rheo2[11]


##Data collection for experiment with MDA-MB-231 13/02/2024 - Polymerisation, Frequency sweep, Stress ramp, 1% cells and 1% cells in suspension for 3 hours 
MDA_1percent_pol_1_13022024_1 = data_130224_rheo1[0]
MDA_1percent_freqsweep_1_13022024_1 = data_130224_rheo1[1]
MDA_1percent_stressramp_1_13022024_1 = data_130224_rheo1[2]

MDA_1percent_3hSusp_pol_1_13022024_1 = data_130224_rheo1[3]
MDA_1percent_3hSusp_freqsweep_1_13022024_1 = data_130224_rheo1[4]
MDA_1percent_3hSusp_stressramp_1_13022024_1 = data_130224_rheo1[5]

MDA_1percent_pol_2_13022024_1 = data_130224_rheo1[6]
MDA_1percent_freqsweep_2_13022024_1 = data_130224_rheo1[7]
MDA_1percent_stressramp_2_13022024_1 = data_130224_rheo1[8]

MDA_1percent_3hSusp_pol_2_13022024_1 = data_130224_rheo1[9]
MDA_1percent_3hSusp_freqsweep_2_13022024_1 = data_130224_rheo1[10]
MDA_1percent_3hSusp_stressramp_2_13022024_1 = data_130224_rheo1[11]

MDA_1percent_pol_1_13022024_2 = data_130224_rheo2[0]
MDA_1percent_freqsweep_1_13022024_2 = data_130224_rheo2[1]
MDA_1percent_stressramp_1_13022024_2 = data_130224_rheo2[2]

MDA_1percent_3hSusp_pol_1_13022024_2 = data_130224_rheo2[3]
MDA_1percent_3hSusp_freqsweep_1_13022024_2 = data_130224_rheo2[4]
MDA_1percent_3hSusp_stressramp_1_13022024_2 = data_130224_rheo2[5]

MDA_1percent_pol_2_13022024_2 = data_130224_rheo2[6]
MDA_1percent_freqsweep_2_13022024_2 = data_130224_rheo2[7]
MDA_1percent_stressramp_2_13022024_2 = data_130224_rheo2[8]

MDA_1percent_3hSusp_pol_2_13022024_2 = data_130224_rheo2[9]
MDA_1percent_3hSusp_freqsweep_2_13022024_2 = data_130224_rheo2[10]
MDA_1percent_3hSusp_stressramp_2_13022024_2 = data_130224_rheo2[11]


##Data collection for experiment with MDA-MB-231 16/02/2024 - Polymerisation, Frequency sweep, Stress ramp, 0.1% cells and 0.1% cells with 10 uM Bat for 3h in 2D  
MDA_0pt1percent_pol_1_16022024_1 = data_160224_rheo1[0]
MDA_0pt1percent_freqsweep_1_16022024_1 = data_160224_rheo1[1]
MDA_0pt1percent_stressramp_1_16022024_1 = data_160224_rheo1[2]

MDA_0pt1percent_10uMBat2D_pol_1_16022024_1 = data_160224_rheo1[3]
MDA_0pt1percent_10uMBat2D_freqsweep_1_16022024_1 = data_160224_rheo1[4]
MDA_0pt1percent_10uMBat2D_stressramp_1_16022024_1 = data_160224_rheo1[5]

MDA_0pt1percent_pol_1_16022024_2 = data_160224_rheo2[0]
MDA_0pt1percent_freqsweep_1_16022024_2 = data_160224_rheo2[1]
MDA_0pt1percent_stressramp_1_16022024_2 = data_160224_rheo2[2]

MDA_0pt1percent_10uMBat2D_pol_1_16022024_2 = data_160224_rheo2[3]
MDA_0pt1percent_10uMBat2D_freqsweep_1_16022024_2 = data_160224_rheo2[4]
MDA_0pt1percent_10uMBat2D_stressramp_1_16022024_2 = data_160224_rheo2[5]


##Data collection for experiment with MDA-MB-231: 19/02/2024 - Polymerisation, Frequency sweep, Stress ramp, 10% cells and 1% cells with 10 uM Bat for 3h in 2D  

MDA_10percent_pol_1_19022024_1 = data_190224_rheo1[0]
MDA_10percent_freqsweep_1_19022024_1 = data_190224_rheo1[1]
MDA_10percent_stressramp_1_19022024_1 = data_190224_rheo1[2]

MDA_10percent_10uMBat2D_pol_1_19022024_1 = data_190224_rheo1[3]
MDA_10percent_10uMBat2D_freqsweep_1_19022024_1 = data_190224_rheo1[4]
MDA_10percent_10uMBat2D_stressramp_1_19022024_1 = data_190224_rheo1[5]

MDA_1percent_pol_1_19022024_1 = data_190224_rheo1[6]
MDA_1percent_freqsweep_1_19022024_1 = data_190224_rheo1[7]
MDA_1percent_stressramp_1_19022024_1 = data_190224_rheo1[8]

MDA_1percent_10uMBat2D_pol_1_19022024_1 = data_190224_rheo1[9]
MDA_1percent_10uMBat2D_freqsweep_1_19022024_1 = data_190224_rheo1[10]
MDA_1percent_10uMBat2D_stressramp_1_19022024_1 = data_190224_rheo1[11]

MDA_10percent_pol_1_19022024_2 = data_190224_rheo2[0]
MDA_10percent_freqsweep_1_19022024_2 = data_190224_rheo2[1]
MDA_10percent_stressramp_1_19022024_2 = data_190224_rheo2[2]

MDA_10percent_10uMBat2D_pol_1_19022024_2 = data_190224_rheo2[3]
MDA_10percent_10uMBat2D_freqsweep_1_19022024_2 = data_190224_rheo2[4]
MDA_10percent_10uMBat2D_stressramp_1_19022024_2 = data_190224_rheo2[5]

MDA_1percent_pol_1_19022024_2 = data_190224_rheo2[6]
MDA_1percent_freqsweep_1_19022024_2 = data_190224_rheo2[7]
MDA_1percent_stressramp_1_19022024_2 = data_190224_rheo2[8]

MDA_1percent_10uMBat2D_pol_1_19022024_2 = data_190224_rheo2[9]
MDA_1percent_10uMBat2D_freqsweep_1_19022024_2 = data_190224_rheo2[10]
MDA_1percent_10uMBat2D_stressramp_1_19022024_2 = data_190224_rheo2[11]

##Data collection for experiment with MDA-MB-231: 05/03/2024 - Polymerisation, Frequency sweep, Stress ramp, 10% cells and 1% cells with 10 uM Bat for 3h in 2D

MDA_1percent_pol_1_05032024_1 = data_050324_rheo1[0]
MDA_1percent_freqsweep_1_05032024_1 = data_050324_rheo1[1]
MDA_1percent_stressramp_1_05032024_1 = data_050324_rheo1[2]

MDA_1percent_10uMBat2D_pol_1_05032024_1 = data_050324_rheo1[3]
MDA_1percent_10uMBat2D_freqsweep_1_05032024_1 = data_050324_rheo1[4]
MDA_1percent_10uMBat2D_stressramp_1_05032024_1 = data_050324_rheo1[5]


MDA_1percent_pol_1_05032024_2 = data_050324_rheo2[0]
MDA_1percent_freqsweep_1_05032024_2 = data_050324_rheo2[1]
MDA_1percent_stressramp_1_05032024_2 = data_050324_rheo2[2]


##Data collection for experiment with MDA-MB-231: 19/03/2024 - Polymerisation, Frequency sweep, Stress ramp, 1% cells and 1% cells with 10 uM Bleb for 3h in 2D  
MDA_1percent_10uMBleb2D_pol_1_19032024_1 = data_190324_rheo1[0] 
MDA_1percent_10uMBleb2D_freqsweep_1_19032024_1 = data_190324_rheo1[1] 
MDA_1percent_10uMBleb2D_stressramp_1_19032024_1 = data_190324_rheo1[2] 

MDA_1percent_10uMBleb2D_pol_2_19032024_1 = data_190324_rheo1[3] 
MDA_1percent_10uMBleb2D_freqsweep_2_19032024_1 = data_190324_rheo1[4] 
MDA_1percent_10uMBleb2D_stressramp_2_19032024_1 = data_190324_rheo1[5] 

MDA_1percent_pol_19032024_1 = data_190324_rheo1[6] 
MDA_1percent_freqsweep_19032024_1 = data_190324_rheo1[7] 
MDA_1percent_stressramp_19032024_1 = data_190324_rheo1[8] 

MDA_1percent_10uMBleb2D_pol_1_19032024_2 = data_190324_rheo2[0] 
MDA_1percent_10uMBleb2D_freqsweep_1_19032024_2 = data_190324_rheo2[1] 
MDA_1percent_10uMBleb2D_stressramp_1_19032024_2 = data_190324_rheo2[2] 

MDA_1percent_10uMBleb2D_pol_2_19032024_2 = data_190324_rheo2[3] 
MDA_1percent_10uMBleb2D_freqsweep_2_19032024_2 = data_190324_rheo2[4] 
MDA_1percent_10uMBleb2D_stressramp_2_19032024_2 = data_190324_rheo2[5] 

MDA_1percent_pol_19032024_2 = data_190324_rheo2[6] 
MDA_1percent_freqsweep_19032024_2 = data_190324_rheo2[7] 
MDA_1percent_stressramp_19032024_2 = data_190324_rheo2[8] 

##Data collection for experiment with MDA-MB-231: 25/03/2024 - Polymerisation, Frequency sweep, Stress ramp, 1% cells and 1% cells with 10 uM Bleb for 3h in 2D 
MDA_1percent_pol_1_25032024_1 = data_250324_rheo1[0] 
MDA_1percent_freqsweep_1_25032024_1 = data_250324_rheo1[1] 
MDA_1percent_stressramp_1_25032024_1 = data_250324_rheo1[2]

MDA_1percent_10uMBleb2D_pol_1_25032024_1 = data_250324_rheo1[3] 
MDA_1percent_10uMBleb2D_freqsweep_1_25032024_1 = data_250324_rheo1[4] 
MDA_1percent_10uMBleb2D_stressramp_1_25032024_1 = data_250324_rheo1[5]

MDA_1percent_10uMBleb2D_pol_2_25032024_1 = data_250324_rheo1[6] 
MDA_1percent_10uMBleb2D_freqsweep_2_25032024_1 = data_250324_rheo1[7] 
MDA_1percent_10uMBleb2D_stressramp_2_25032024_1 = data_250324_rheo1[8]

MDA_1percent_pol_2_25032024_1 = data_250324_rheo1[9] 
MDA_1percent_freqsweep_2_25032024_1 = data_250324_rheo1[10] 
MDA_1percent_stressramp_2_25032024_1 = data_250324_rheo1[11]

MDA_1percent_pol_1_25032024_2 = data_250324_rheo2[0] 
MDA_1percent_freqsweep_1_25032024_2 = data_250324_rheo2[1] 
MDA_1percent_stressramp_1_25032024_2 = data_250324_rheo2[2]

MDA_1percent_10uMBleb2D_pol_1_25032024_2 = data_250324_rheo2[3] 
MDA_1percent_10uMBleb2D_freqsweep_1_25032024_2 = data_250324_rheo2[4] 
MDA_1percent_10uMBleb2D_stressramp_1_25032024_2 = data_250324_rheo2[5]

MDA_1percent_10uMBleb2D_pol_2_25032024_2 = data_250324_rheo2[6] 
MDA_1percent_10uMBleb2D_freqsweep_2_25032024_2 = data_250324_rheo2[7] 
MDA_1percent_10uMBleb2D_stressramp_2_25032024_2 = data_250324_rheo2[8]

MDA_1percent_pol_2_25032024_2 = data_250324_rheo2[9] 
MDA_1percent_freqsweep_2_25032024_2 = data_250324_rheo2[10] 
MDA_1percent_stressramp_2_25032024_2 = data_250324_rheo2[11]

##Data collection for experiment with MDA-MB-231: 19/04/2024 - Polymerisation, Frequency sweep, Stress ramp, 20% cells NEW FORMULATION with the actual good calculation 
MDA_20percent_new_pol_1_19042024_1 = data_190424_rheo1[0]
MDA_20percent_new_freqsweep_1_19042024_1 = data_190424_rheo1[1]
MDA_20percent_new_stressramp_1_19042024_1 = data_190424_rheo1[2]

MDA_20percent_new_pol_2_19042024_1 = data_190424_rheo1[3]
MDA_20percent_new_freqsweep_2_19042024_1 = data_190424_rheo1[4]
MDA_20percent_new_stressramp_2_19042024_1 = data_190424_rheo1[5]

MDA_20percent_new_pol_3_19042024_1 = data_190424_rheo1[6]
MDA_20percent_new_freqsweep_3_19042024_1 = data_190424_rheo1[7]
MDA_20percent_new_stressramp_3_19042024_1 = data_190424_rheo1[8]


MDA_20percent_new_pol_1_19042024_2 = data_190424_rheo2[0]
MDA_20percent_new_freqsweep_1_19042024_2 = data_190424_rheo2[1]
MDA_20percent_new_stressramp_1_19042024_2 = data_190424_rheo2[2]

MDA_20percent_new_pol_2_19042024_2 = data_190424_rheo2[3]
MDA_20percent_new_freqsweep_2_19042024_2 = data_190424_rheo2[4]
MDA_20percent_new_stressramp_2_19042024_2 = data_190424_rheo2[5]

MDA_20percent_new_pol_3_19042024_2 = data_190424_rheo2[6]
MDA_20percent_new_freqsweep_3_19042024_2 = data_190424_rheo2[7]
MDA_20percent_new_stressramp_3_19042024_2 = data_190424_rheo2[8]




##Data collection telo collagen
#Data collection for experiment with CTL Telocollagen of 16/05/2024 - Polymerisation, Frequency sweep, Stress ramp
CTL_telo_pol_160524_1 = data_160524_rheo1[3]
CTL_telo_freqsweep_160524_1 = data_160524_rheo1[4]
CTL_telo_stressramp_160524_1= data_160524_rheo1[5] 

CTL_telo_pol_160524_2 = data_160524_rheo2[3]
CTL_telo_freqsweep_160524_2 = data_160524_rheo2[4]
CTL_telo_stressramp_160524_2= data_160524_rheo2[5]


#Data collection for experiment with MDA-MB-231 in Telocollagen of 17/05/2024 - Polymerisation, Frequency sweep, Stress ramp, CTL and 4% cells
MDA_4percent_pol_1_17052024_1 = data_170524_rheo1[6] 
MDA_4percent_freqsweep_1_17052024_1 = data_170524_rheo1[7] 
MDA_4percent_stressramp_1_17052024_1 = data_170524_rheo1[8]

MDA_4percent_pol_1_17052024_2 = data_170524_rheo2[6] 
MDA_4percent_freqsweep_1_17052024_2 = data_170524_rheo2[7] 
MDA_4percent_stressramp_1_17052024_2 = data_170524_rheo2[8]

MDA_4percent_pol_2_17052024_1 = data_170524_rheo1[9] 
MDA_4percent_freqsweep_2_17052024_1 = data_170524_rheo1[10] 
MDA_4percent_stressramp_2_17052024_1 = data_170524_rheo1[11]

MDA_4percent_pol_2_17052024_2 = data_170524_rheo2[9] 
MDA_4percent_freqsweep_2_17052024_2 = data_170524_rheo2[10] 
MDA_4percent_stressramp_2_17052024_2 = data_170524_rheo2[11]

CTL_telo_pol_170524_1 = data_170524_rheo1[12]
CTL_telo_freqsweep_170524_1 = data_170524_rheo1[13]
CTL_telo_stressramp_170524_1= data_170524_rheo1[14] 

CTL_telo_pol_170524_2 = data_170524_rheo2[12]
CTL_telo_freqsweep_170524_2 = data_170524_rheo2[13]
CTL_telo_stressramp_170524_2= data_170524_rheo2[14]


#Data collection for experiment with MDA-MB-231 in Telocollagen of 22/05/2024 - Polymerisation, Frequency sweep, Stress ramp, CTL, 4% and 20% cells
MDA_4percent_pol_22052024_1 = data_220524_rheo1[0]
MDA_4percent_freqsweep_22052024_1 = data_220524_rheo1[1]
MDA_4percent_stressramp_22052024_1 = data_220524_rheo1[2]

MDA_4percent_pol_22052024_2 = data_220524_rheo2[0]
MDA_4percent_freqsweep_22052024_2 = data_220524_rheo2[1]
MDA_4percent_stressramp_22052024_2 = data_220524_rheo2[2]


MDA_20percent_pol_1_22052024_1 = data_220524_rheo1[3]
MDA_20percent_freqsweep_1_22052024_1 = data_220524_rheo1[4]
MDA_20percent_stressramp_1_22052024_1 = data_220524_rheo1[5]

MDA_20percent_pol_1_22052024_2 = data_220524_rheo2[3]
MDA_20percent_freqsweep_1_22052024_2 = data_220524_rheo2[4]
MDA_20percent_stressramp_1_22052024_2 = data_220524_rheo2[5]


MDA_20percent_pol_2_22052024_1 = data_220524_rheo1[6]
MDA_20percent_freqsweep_2_22052024_1 = data_220524_rheo1[7]
MDA_20percent_stressramp_2_22052024_1 = data_220524_rheo1[8]

MDA_20percent_pol_2_22052024_2 = data_220524_rheo2[6]
MDA_20percent_freqsweep_2_22052024_2 = data_220524_rheo2[7]
MDA_20percent_stressramp_2_22052024_2 = data_220524_rheo2[8]


MDA_20percent_pol_3_22052024_1 = data_220524_rheo1[9]
MDA_20percent_freqsweep_3_22052024_1 = data_220524_rheo1[10]
MDA_20percent_stressramp_3_22052024_1 = data_220524_rheo1[11]

MDA_20percent_pol_3_22052024_2 = data_220524_rheo2[9]
MDA_20percent_freqsweep_3_22052024_2 = data_220524_rheo2[10]
MDA_20percent_stressramp_3_22052024_2 = data_220524_rheo2[11]

CTL_telo_pol_220524_1 = data_220524_rheo1[12]
CTL_telo_freqsweep_220524_1 = data_220524_rheo1[13]
CTL_telo_stressramp_220524_1= data_220524_rheo1[14] 

CTL_telo_pol_220524_2 = data_220524_rheo2[12]
CTL_telo_freqsweep_220524_2 = data_220524_rheo2[13]
CTL_telo_stressramp_220524_2= data_220524_rheo2[14]

#Data collection for experiment with MDA-MB-231 in Telocollagen of 29/05/2024 - Polymerisation, Frequency sweep, Stress ramp, CTL, 4% and 20% cells

MDA_20percent_pol_1_29052024_1 = data_290524_rheo1[0]
MDA_20percent_freqsweep_1_29052024_1 = data_290524_rheo1[1]
MDA_20percent_stressramp_1_29052024_1 = data_290524_rheo1[2]

MDA_20percent_pol_1_29052024_2 = data_290524_rheo2[0]
MDA_20percent_freqsweep_1_29052024_2 = data_290524_rheo2[1]
MDA_20percent_stressramp_1_29052024_2 = data_290524_rheo2[2]

MDA_20percent_pol_2_29052024_1 = data_290524_rheo1[3]
MDA_20percent_freqsweep_2_29052024_1 = data_290524_rheo1[4]
MDA_20percent_stressramp_2_29052024_1 = data_290524_rheo1[5]

MDA_20percent_pol_2_29052024_2 = data_290524_rheo2[3]
MDA_20percent_freqsweep_2_29052024_2 = data_290524_rheo2[4]
MDA_20percent_stressramp_2_29052024_2 = data_290524_rheo2[5]


MDA_4percent_pol_29052024_1 = data_290524_rheo1[9]
MDA_4percent_freqsweep_29052024_1 = data_290524_rheo1[10]
MDA_4percent_stressramp_29052024_1 = data_290524_rheo1[11]

MDA_4percent_pol_29052024_2 = data_290524_rheo2[9] #Excluded rheo2, weird values 
MDA_4percent_freqsweep_29052024_2 = data_290524_rheo2[10]
MDA_4percent_stressramp_29052024_2 = data_290524_rheo2[11]

CTL_telo_pol_290524_1 = data_290524_rheo1[6]
CTL_telo_freqsweep_290524_1 = data_290524_rheo1[7]
CTL_telo_stressramp_290524_1= data_290524_rheo1[8] 

CTL_telo_pol_290524_2 = data_290524_rheo2[6]
CTL_telo_freqsweep_290524_2 = data_290524_rheo2[7]
CTL_telo_stressramp_290524_2= data_290524_rheo2[8]


#Data collection for experiment with MDA-MB-231 in atelocollagen 2 mg/mL of 25/06/2024 - Polymerisation, Frequency sweep, Stress ramp, CTL, 4% and 20% cells
MDA_4percent_2mgmL_pol_1_250624_1 = data_250624_rheo1[0]
MDA_4percent_2mgmL_freqsweep_1_250624_1 = data_250624_rheo1[1]
MDA_4percent_2mgmL_stressramp_1_250624_1 = data_250624_rheo1[2]

CTL_2mgmL_pol_250624_1 = data_250624_rheo1[3]
CTL_2mgmL_freqsweep_250624_1 = data_250624_rheo1[4]
CTL_2mgmL_stressramp_250624_1 = data_250624_rheo1[5]

MDA_4percent_2mgmL_pol_2_250624_1 = data_250624_rheo1[6]
MDA_4percent_2mgmL_freqsweep_2_250624_1 = data_250624_rheo1[7]
MDA_4percent_2mgmL_stressramp_2_250624_1 = data_250624_rheo1[8]

MDA_20percent_2mgmL_pol_250624_1 = data_250624_rheo1[9]
MDA_20percent_2mgmL_freqsweep_250624_1 = data_250624_rheo1[10]
MDA_20percent_2mgmL_stressramp_250624_1 = data_250624_rheo1[11]


MDA_4percent_2mgmL_pol_1_250624_2 = data_250624_rheo2[0]
MDA_4percent_2mgmL_freqsweep_1_250624_2 = data_250624_rheo2[1]
MDA_4percent_2mgmL_stressramp_1_250624_2 = data_250624_rheo2[2]

CTL_2mgmL_pol_250624_2 = data_250624_rheo2[3]
CTL_2mgmL_freqsweep_250624_2 = data_250624_rheo2[4]
CTL_2mgmL_stressramp_250624_2 = data_250624_rheo2[5]

MDA_4percent_2mgmL_pol_2_250624_2 = data_250624_rheo2[6]
MDA_4percent_2mgmL_freqsweep_2_250624_2 = data_250624_rheo2[7]
MDA_4percent_2mgmL_stressramp_2_250624_2 = data_250624_rheo2[8]

MDA_20percent_2mgmL_pol_250624_2 = data_250624_rheo2[9]
MDA_20percent_2mgmL_freqsweep_250624_2 = data_250624_rheo2[10]
MDA_20percent_2mgmL_stressramp_250624_2 = data_250624_rheo2[11]


#Data collection for experiment with MDA-MB-231 in atelocollagen 4 mg/mL of 03/07/2024 - Polymerisation, Frequency sweep, Stress ramp, 20% and 20% + 10 uM Blebbistatin in 2D for 3h
MDA_20percent_10uMBleb2D_pol_1_030724_1= data_030724_rheo1[0]
MDA_20percent_10uMBleb2D_freqsweep_1_030724_1=data_030724_rheo1[1]
MDA_20percent_10uMBleb2D_stressramp_1_030724_1=data_030724_rheo1[2]

MDA_20percent_10uMBleb2D_pol_2_030724_1=data_030724_rheo1[3]
MDA_20percent_10uMBleb2D_freqsweep_2_030724_1=data_030724_rheo1[4]
MDA_20percent_10uMBleb2D_stressramp_2_030724_1=data_030724_rheo1[5]

MDA_20percent_pol_030724_1=data_030724_rheo1[6]
MDA_20percent_freqsweep_030724_1=data_030724_rheo1[7]
MDA_20percent_stressramp_030724_1=data_030724_rheo1[8]

MDA_20percent_10uMBleb2D_pol_1_030724_2= data_030724_rheo2[0]
MDA_20percent_10uMBleb2D_freqsweep_1_030724_2=data_030724_rheo2[1]
MDA_20percent_10uMBleb2D_stressramp_1_030724_2=data_030724_rheo2[2]

MDA_20percent_10uMBleb2D_pol_2_030724_2=data_030724_rheo2[3]
MDA_20percent_10uMBleb2D_freqsweep_2_030724_2=data_030724_rheo2[4]
MDA_20percent_10uMBleb2D_stressramp_2_030724_2=data_030724_rheo2[5]

MDA_20percent_pol_030724_2=data_030724_rheo2[6]
MDA_20percent_freqsweep_030724_2=data_030724_rheo2[7]
MDA_20percent_stressramp_030724_2=data_030724_rheo2[8]


#Data collection for experiment with MDA-MB-231 in atelocollagen 4 mg/mL of 11/07/2024 - Polymerisation, Frequency sweep, Stress ramp, 20% with 0.2% DMSO in 2D for 3h and 20% + 10 uM Blebbistatin in 2D for 3h
MDA_20percent_10uMBleb2D_pol_110724_1= data_110724_rheo1[0]
MDA_20percent_10uMBleb2D_freqsweep_110724_1=data_110724_rheo1[1]
MDA_20percent_10uMBleb2D_stressramp_110724_1=data_110724_rheo1[2]

MDA_20percent_DMSO_pol_110724_1= data_110724_rheo1[3]
MDA_20percent_DMSO_freqsweep_110724_1=data_110724_rheo1[4]
MDA_20percent_DMSO_stressramp_110724_1=data_110724_rheo1[5]

MDA_20percent_10uMBleb2D_pol_110724_2= data_110724_rheo2[0]
MDA_20percent_10uMBleb2D_freqsweep_110724_2=data_110724_rheo2[1]
MDA_20percent_10uMBleb2D_stressramp_110724_2=data_110724_rheo2[2]

MDA_20percent_DMSO_pol_110724_2= data_110724_rheo2[3]
MDA_20percent_DMSO_freqsweep_110724_2=data_110724_rheo2[4]
MDA_20percent_DMSO_stressramp_110724_2=data_110724_rheo2[5]

#Data collection for experiment with MDA-MB-231 in atelocollagen 4 mg/mL of 22/07/2024 - Polymerisation, Frequency sweep, Stress ramp, 20% with 0.2% DMSO in 2D for 3h
MDA_20percent_DMSO_pol_220724_2= data_220724_rheo2[3]
MDA_20percent_DMSO_freqsweep_220724_2=data_220724_rheo2[4]
MDA_20percent_DMSO_stressramp_220724_2=data_220724_rheo2[5]


#Data collection for experiment with CTL collagen + EDTA (+HEPES) : 11/09/2024 - Polymerisation, Frequency sweep, Stress ramp 
CTL_EDTA_pol_1_110924_1 = data_110924_rheo1[0] 
CTL_EDTA_freqsweep_1_110924_1 = data_110924_rheo1[1]
CTL_EDTA_stressramp_1_110924_1 = data_110924_rheo1[2]  

CTL_EDTA_pol_1_110924_2 = data_110924_rheo2[0] 
CTL_EDTA_freqsweep_1_110924_2 = data_110924_rheo2[1]
CTL_EDTA_stressramp_1_110924_2 = data_110924_rheo2[2] 


CTL_EDTA_pol_2_110924_1 = data_110924_rheo1[9] 
CTL_EDTA_freqsweep_2_110924_1 = data_110924_rheo1[10]
CTL_EDTA_stressramp_2_110924_1 = data_110924_rheo1[11]  

CTL_EDTA_pol_2_110924_2 = data_110924_rheo1[9] 
CTL_EDTA_freqsweep_2_110924_2 = data_110924_rheo1[10]
CTL_EDTA_stressramp_2_110924_2 = data_110924_rheo1[11]  

CTL_HEP_pol_110924 = data_110924_rheo1[3] 
CTL_HEP_freqsweep_110924 = data_110924_rheo1[4]
CTL_HEP_stressramp_110924 = data_110924_rheo1[5]  


CTL_EDTAHEP_pol_110924 = data_110924_rheo1[6] 
CTL_EDTAHEP_freqsweep_110924 = data_110924_rheo1[7]
CTL_EDTAHEP_stressramp_110924 = data_110924_rheo1[8]


#Data collection for experiment with  MDA-MB-231 + EDTA in atelocollagen 4 mg/mL of 12/09/2024 - Polymerisation, Frequency sweep, Stress ramp
MDA_4percent_pol_1_120924_1 = data_120924_rheo1[0]
MDA_4percent_freqsweep_1_120924_1 = data_120924_rheo1[1]
MDA_4percent_stressramp_1_120924_1 = data_120924_rheo1[2]

MDA_4percent_pol_1_120924_2 = data_120924_rheo2[0]
MDA_4percent_freqsweep_1_120924_2 = data_120924_rheo2[1]
MDA_4percent_stressramp_1_120924_2 = data_120924_rheo2[2]

MDA_4percent_pol_2_120924_1 = data_120924_rheo1[3]
MDA_4percent_freqsweep_2_120924_1 = data_120924_rheo1[4]
MDA_4percent_stressramp_2_120924_1 = data_120924_rheo1[5]

MDA_4percent_pol_2_120924_2 = data_120924_rheo2[3]
MDA_4percent_freqsweep_2_120924_2 = data_120924_rheo2[4]
MDA_4percent_stressramp_2_120924_2 = data_120924_rheo2[5]

MDA_4percent_pol_3_120924_1 = data_120924_rheo1[6]
MDA_4percent_freqsweep_3_120924_1 = data_120924_rheo1[7]
MDA_4percent_stressramp_3_120924_1 = data_120924_rheo1[8]

MDA_4percent_pol_3_120924_2 = data_120924_rheo2[6]
MDA_4percent_freqsweep_3_120924_2 = data_120924_rheo2[7]
MDA_4percent_stressramp_3_120924_2 = data_120924_rheo2[8]


CTL_EDTA_pol_120924_1 = data_120924_rheo1[9] 
CTL_EDTA_freqsweep_120924_1 = data_120924_rheo1[10]
CTL_EDTA_stressramp_120924_1 = data_120924_rheo1[11] 

CTL_EDTA_pol_120924_2 = data_120924_rheo2[9] 
CTL_EDTA_freqsweep_120924_2 = data_120924_rheo2[10]
CTL_EDTA_stressramp_120924_2 = data_120924_rheo2[11] 

#Data collection for experiment with  MDA-MB-231 + EDTA in atelocollagen 4 mg/mL of 18/09/2024 - Polymerisation, Frequency sweep, Stress ramp

MDA_20percent_pol_1_180924_1 = data_180924_rheo1[3]
MDA_20percent_freqsweep_1_180924_1 = data_180924_rheo1[4]
MDA_20percent_stressramp_1_180924_1 = data_180924_rheo1[5]

MDA_20percent_pol_1_180924_2 = data_180924_rheo2[3]
MDA_20percent_freqsweep_1_180924_2 = data_180924_rheo2[4]
MDA_20percent_stressramp_1_180924_2 = data_180924_rheo2[5]

MDA_20percent_pol_2_180924_1 = data_180924_rheo1[6]
MDA_20percent_freqsweep_2_180924_1 = data_180924_rheo1[7]
MDA_20percent_stressramp_2_180924_1 = data_180924_rheo1[8]

MDA_20percent_pol_2_180924_2 = data_180924_rheo2[6]
MDA_20percent_freqsweep_2_180924_2 = data_180924_rheo2[7]
MDA_20percent_stressramp_2_180924_2 = data_180924_rheo2[8]

MDA_20percent_pol_3_180924_1 = data_180924_rheo1[9]
MDA_20percent_freqsweep_3_180924_1 = data_180924_rheo1[10]
MDA_20percent_stressramp_3_180924_1 = data_180924_rheo1[11]

MDA_20percent_pol_3_180924_2 = data_180924_rheo2[9]
MDA_20percent_freqsweep_3_180924_2 = data_180924_rheo2[10]
MDA_20percent_stressramp_3_180924_2 = data_180924_rheo2[11]

CTL_EDTA_pol_180924_1 = data_180924_rheo1[12] 
CTL_EDTA_freqsweep_180924_1 = data_180924_rheo1[13]
CTL_EDTA_stressramp_180924_1 = data_180924_rheo1[14] 

CTL_EDTA_pol_180924_2 = data_180924_rheo2[12] 
CTL_EDTA_freqsweep_180924_2 = data_180924_rheo2[13]
CTL_EDTA_stressramp_180924_2 = data_180924_rheo2[14] 


#Data collection for experiment with  MDA-MB-231 + EDTA in atelocollagen 4 mg/mL of 27/09/2024 - Polymerisation, Frequency sweep, Stress ramp
MDA_20percent_pol_1_270924_1 = data_270924_rheo1[0]
MDA_20percent_freqsweep_1_270924_1 = data_270924_rheo1[1]
MDA_20percent_stressramp_1_270924_1 = data_270924_rheo1[2]

MDA_20percent_pol_1_270924_2 = data_270924_rheo2[0]
MDA_20percent_freqsweep_1_270924_2 = data_270924_rheo2[1]
MDA_20percent_stressramp_1_270924_2 = data_270924_rheo2[2]

MDA_20percent_pol_2_270924_1 = data_270924_rheo1[3]
MDA_20percent_freqsweep_2_270924_1 = data_270924_rheo1[4]
MDA_20percent_stressramp_2_270924_1 = data_270924_rheo1[5]

MDA_20percent_pol_2_270924_2 = data_270924_rheo2[3]
MDA_20percent_freqsweep_2_270924_2 = data_270924_rheo2[4]
MDA_20percent_stressramp_2_270924_2 = data_270924_rheo2[5]

CTL_EDTA_pol_270924_1 = data_270924_rheo1[6] 
CTL_EDTA_freqsweep_270924_1 = data_270924_rheo1[7]
CTL_EDTA_stressramp_270924_1 = data_270924_rheo1[8] 

CTL_EDTA_pol_270924_2 = data_270924_rheo2[6] 
CTL_EDTA_freqsweep_270924_2 = data_270924_rheo2[7]
CTL_EDTA_stressramp_270924_2 = data_270924_rheo2[8] 


#Data collection for experiment with/without EDTA in atelocollagen 4 mg/mL of 17/10/2024 - Polymerisation, Frequency sweep, Stress ramp
CTL_pol_1_171024_1 = data_171024_rheo1[0] 
CTL_freqsweep_1_171024_1 = data_171024_rheo1[1]
CTL_stressramp_1_171024_1 = data_171024_rheo1[2] 

CTL_pol_1_171024_2 = data_171024_rheo2[0] 
CTL_freqsweep_1_171024_2 = data_171024_rheo2[1]
CTL_stressramp_1_171024_2 = data_171024_rheo2[2]


CTL_pol_2_171024_1 = data_171024_rheo1[6] 
CTL_freqsweep_2_171024_1 = data_171024_rheo1[7]
CTL_stressramp_2_171024_1 = data_171024_rheo1[8] 

CTL_pol_2_171024_2 = data_171024_rheo2[6] #This polymerization is pretty low. Excluded 
CTL_freqsweep_2_171024_2 = data_171024_rheo2[7]
CTL_stressramp_2_171024_2 = data_171024_rheo2[8] 

CTL_pol_3_171024_1 = data_171024_rheo1[9] 
CTL_freqsweep_3_171024_1 = data_171024_rheo1[10]
CTL_stressramp_3_171024_1 = data_171024_rheo1[11] 

CTL_pol_3_171024_2 = data_171024_rheo2[9]    
CTL_freqsweep_3_171024_2 = data_171024_rheo2[10]
CTL_stressramp_3_171024_2 = data_171024_rheo2[11]   # Excluded because the differential modulus showed two inflection points as if the sample partially detached and reattached ?


CTL_EDTA_pol_1_171024_1 = data_171024_rheo1[3] 
CTL_EDTA_freqsweep_1_171024_1 = data_171024_rheo1[4]
CTL_EDTA_stressramp_1_171024_1 = data_171024_rheo1[5] 

CTL_EDTA_pol_1_171024_2 = data_171024_rheo2[3] 
CTL_EDTA_freqsweep_1_171024_2 = data_171024_rheo2[4]
CTL_EDTA_stressramp_1_171024_2 = data_171024_rheo2[5] 


CTL_EDTA_pol_2_171024_1 = data_171024_rheo1[12] 
CTL_EDTA_freqsweep_2_171024_1 = data_171024_rheo1[13]
CTL_EDTA_stressramp_2_171024_1 = data_171024_rheo1[14] 

CTL_EDTA_pol_2_171024_2 = data_171024_rheo2[12] 
CTL_EDTA_freqsweep_2_171024_2 = data_171024_rheo2[13]
CTL_EDTA_stressramp_2_171024_2 = data_171024_rheo2[14] 

#Data collection for experiment with 10uM Batimastat in atelocollagen 4 mg/mL of 23/10/2024 - Polymerisation, Frequency sweep, Stress ramp
##From this dataset the 20% + HEPEs and Collagen + Hepes are not reported (for now)

MDA_4percent_10uMBat2D_pol_1_231024_1 = data_231024_rheo1[3]
MDA_4percent_10uMBat2D_freqsweep_1_231024_1 = data_231024_rheo1[4]
MDA_4percent_10uMBat2D_stressramp_1_231024_1 = data_231024_rheo1[5]

MDA_4percent_10uMBat2D_pol_1_231024_2 = data_231024_rheo2[3]
MDA_4percent_10uMBat2D_freqsweep_1_231024_2 = data_231024_rheo2[4]
MDA_4percent_10uMBat2D_stressramp_1_231024_2 = data_231024_rheo2[5]

MDA_4percent_10uMBat2D_pol_2_231024_1 = data_231024_rheo1[6]
MDA_4percent_10uMBat2D_freqsweep_2_231024_1 = data_231024_rheo1[7]
MDA_4percent_10uMBat2D_stressramp_2_231024_1 = data_231024_rheo1[8]

MDA_4percent_10uMBat2D_pol_2_231024_2 = data_231024_rheo2[6]
MDA_4percent_10uMBat2D_freqsweep_2_231024_2 = data_231024_rheo2[7]
MDA_4percent_10uMBat2D_stressramp_2_231024_2 = data_231024_rheo2[8]


#Data collection for experiment with and without DMSO in atelocollagen 4 mg/mL of 07/11/2024 - Polymerisation, Frequency sweep, Stress ramp
MDA_4percent_pol_1_071124_1 = data_071124_rheo1[0]
MDA_4percent_freqsweep_1_071124_1 = data_071124_rheo1[1]
MDA_4percent_stressramp_1_071124_1 = data_071124_rheo1[2]

MDA_4percent_pol_1_071124_2 = data_071124_rheo2[0]
MDA_4percent_freqsweep_1_071124_2 = data_071124_rheo2[1]
MDA_4percent_stressramp_1_071124_2 = data_071124_rheo2[2]


MDA_4percent_DMSO_pol_1_071124_1 = data_071124_rheo1[3]
MDA_4percent_DMSO_freqsweep_1_071124_1 = data_071124_rheo1[4]
MDA_4percent_DMSO_stressramp_1_071124_1 = data_071124_rheo1[5]

MDA_4percent_DMSO_pol_1_071124_2 = data_071124_rheo2[3]
MDA_4percent_DMSO_freqsweep_1_071124_2 = data_071124_rheo2[4]
MDA_4percent_DMSO_stressramp_1_071124_2 = data_071124_rheo2[5]

MDA_4percent_DMSO_pol_2_071124_1 = data_071124_rheo1[6]
MDA_4percent_DMSO_freqsweep_2_071124_1 = data_071124_rheo1[7]
MDA_4percent_DMSO_stressramp_2_071124_1 = data_071124_rheo1[8]

MDA_4percent_DMSO_pol_2_071124_2 = data_071124_rheo2[6]
MDA_4percent_DMSO_freqsweep_2_071124_2 = data_071124_rheo2[7]
MDA_4percent_DMSO_stressramp_2_071124_2 = data_071124_rheo2[8]

MDA_4percent_pol_2_071124_1 = data_071124_rheo1[9]
MDA_4percent_freqsweep_2_071124_1 = data_071124_rheo1[10]
MDA_4percent_stressramp_2_071124_1 = data_071124_rheo1[11]

MDA_4percent_pol_2_071124_2 = data_071124_rheo2[9]
MDA_4percent_freqsweep_2_071124_2 = data_071124_rheo2[10]
MDA_4percent_stressramp_2_071124_2 = data_071124_rheo2[11]

CTL_pol_071124_1 = data_071124_rheo1[12]
CTL_freqsweep_071124_1 = data_071124_rheo1[13]
CTL_stressramp_071124_1 = data_071124_rheo1[14]

CTL_pol_071124_2 = data_071124_rheo2[12]
CTL_freqsweep_071124_2 = data_071124_rheo2[13]
CTL_stressramp_071124_2 = data_071124_rheo2[14]


#Data collection for experiment with PAA beads in atelocollagen 4 mg/mL of 12/11/2024 - Polymerisation, Frequency sweep, Stress ramp
CTL_pol_1_121124_1 = data_121124_rheo1[2]
CTL_freqsweep_1_121124_1 = data_121124_rheo1[3]
CTL_stressramp_1_121124_1 = data_121124_rheo1[4]

CTL_pol_1_121124_2 = data_121124_rheo2[2]
CTL_freqsweep_1_121124_2 = data_121124_rheo2[3]
CTL_stressramp_1_121124_2 = data_121124_rheo2[4]

CTL_pol_2_121124_1 = data_121124_rheo1[14]
CTL_freqsweep_2_121124_1 = data_121124_rheo1[15]
CTL_stressramp_2_121124_1 = data_121124_rheo1[16]

CTL_pol_2_121124_2 = data_121124_rheo2[14]
CTL_freqsweep_2_121124_2 = data_121124_rheo2[15]
CTL_stressramp_2_121124_2 = data_121124_rheo2[16]

PAbeads_20percent_pol_1_121124_1 = data_121124_rheo1[5]
PAbeads_20percent_freqsweep_1_121124_1 = data_121124_rheo1[6]
PAbeads_20percent_stressramp_1_121124_1 = data_121124_rheo1[7]

PAbeads_20percent_pol_1_121124_2 = data_121124_rheo2[5]
PAbeads_20percent_freqsweep_1_121124_2 = data_121124_rheo2[6]
PAbeads_20percent_stressramp_1_121124_2 = data_121124_rheo2[7]

PAbeads_20percent_pol_2_121124_1 = data_121124_rheo1[8] #This one is very high, not considered (100Pa)
PAbeads_20percent_freqsweep_2_121124_1 = data_121124_rheo1[9]
PAbeads_20percent_stressramp_2_121124_1 = data_121124_rheo1[10]

PAbeads_20percent_pol_2_121124_2 = data_121124_rheo2[8]
PAbeads_20percent_freqsweep_2_121124_2 = data_121124_rheo2[9]
PAbeads_20percent_stressramp_2_121124_2 = data_121124_rheo2[10]

PAbeads_4percent_pol_1_121124_1 = data_121124_rheo1[11] ##Not considered as media was not removed properly. 
PAbeads_4percent_freqsweep_1_121124_1 = data_121124_rheo1[12]
PAbeads_4percent_stressramp_1_121124_1 = data_121124_rheo1[13]

PAbeads_4percent_pol_1_121124_2 = data_121124_rheo2[11]
PAbeads_4percent_freqsweep_1_121124_2 = data_121124_rheo2[12]
PAbeads_4percent_stressramp_1_121124_2 = data_121124_rheo2[13]


PAbeads_4percent_pol_2_121124_1 = data_121124_rheo1[17]
PAbeads_4percent_freqsweep_2_121124_1 = data_121124_rheo1[18]
PAbeads_4percent_stressramp_2_121124_1 = data_121124_rheo1[19]

PAbeads_4percent_pol_2_121124_2 = data_121124_rheo2[17]
PAbeads_4percent_freqsweep_2_121124_2 = data_121124_rheo2[18]
PAbeads_4percent_stressramp_2_121124_2 = data_121124_rheo2[19]



#Data collection for experiment with and without DMSO (4% for 3 hours) in atelocollagen 4 mg/mL of 13/11/2024 - Polymerisation, Frequency sweep, Stress ramp
MDA_4percent_pol_131124_1 = data_131124_rheo1[0]     #Polymerization for 3 hours 
MDA_4percent_freqsweep_131124_1 = data_131124_rheo1[1]
MDA_4percent_stressramp_131124_1 = data_131124_rheo1[2]

MDA_4percent_pol_131124_2 = data_131124_rheo2[0]     #Polymerization for 3 hours 
MDA_4percent_freqsweep_131124_2 = data_131124_rheo2[1]
MDA_4percent_stressramp_131124_2 = data_131124_rheo2[2]

MDA_4percent_DMSO_pol_131124_1 = data_131124_rheo1[3]
MDA_4percent_DMSO_freqsweep_131124_1 = data_131124_rheo1[4]
MDA_4percent_DMSO_stressramp_131124_1 = data_131124_rheo1[5]

MDA_4percent_DMSO_pol_131124_2 = data_131124_rheo2[3]
MDA_4percent_DMSO_freqsweep_131124_2 = data_131124_rheo2[4]
MDA_4percent_DMSO_stressramp_131124_2 = data_131124_rheo2[5]



#Data collection for experiment with and without DMSO (4% for 3 hours) in atelocollagen 4 mg/mL of 14/11/2024 - Polymerisation, Frequency sweep, Stress ramp
##and 4% PAA beads in collagen 

MDA_4percent_pol_141124_1 = data_141124_rheo1[0]     #Polymerization for 3 hours 
MDA_4percent_freqsweep_141124_1 = data_141124_rheo1[1]
MDA_4percent_stressramp_141124_1 = data_141124_rheo1[2]

MDA_4percent_pol_141124_2 = data_141124_rheo2[0]     #Polymerization for 3 hours 
MDA_4percent_freqsweep_141124_2 = data_141124_rheo2[1]
MDA_4percent_stressramp_141124_2 = data_141124_rheo2[2]

MDA_4percent_DMSO_pol_141124_1 = data_141124_rheo1[4]
MDA_4percent_DMSO_freqsweep_141124_1 = data_141124_rheo1[5]
MDA_4percent_DMSO_stressramp_141124_1 = data_141124_rheo1[6]

MDA_4percent_DMSO_pol_141124_2 = data_141124_rheo2[4]
MDA_4percent_DMSO_freqsweep_141124_2 = data_141124_rheo2[5]
MDA_4percent_DMSO_stressramp_141124_2 = data_141124_rheo2[6]

PAbeads_4percent_pol_141124_1 = data_141124_rheo1[7]
PAbeads_4percent_freqsweep_141124_1 = data_141124_rheo1[8]
PAbeads_4percent_stressramp_141124_1 = data_141124_rheo1[9]

PAbeads_4percent_pol_141124_2 = data_141124_rheo2[7]
PAbeads_4percent_freqsweep_141124_2 = data_141124_rheo2[8]
PAbeads_4percent_stressramp_141124_2 = data_141124_rheo2[9]

CTL_pol_141124_1 = data_141124_rheo1[10]
CTL_freqsweep_141124_1 = data_141124_rheo1[11]
CTL_stressramp_141124_1 = data_141124_rheo1[12]

CTL_pol_141124_2 = data_141124_rheo2[10]
CTL_freqsweep_141124_2 = data_141124_rheo2[11]
CTL_stressramp_141124_2 = data_141124_rheo2[12]


#Data collection for experiment with and without DMSO (4%) in atelocollagen 4 mg/mL of 19/11/2024 - Polymerisation, Frequency sweep, Stress ramp
##and 4% PAA beads in collagen. Data reported are only for 20% beads, the others are discarded

PAbeads_20percent_pol_2_191124_1 = data_191124_rheo1[9]
PAbeads_20percent_freqsweep_2_191124_1 = data_191124_rheo1[10]
PAbeads_20percent_stressramp_2_191124_1 = data_191124_rheo1[11]

PAbeads_20percent_pol_2_191124_2 = data_191124_rheo2[9]
PAbeads_20percent_freqsweep_2_191124_2 = data_191124_rheo2[10]
PAbeads_20percent_stressramp_2_191124_2 = data_191124_rheo2[11]


#Data collection for experiment with HDF (0.4%, 4% and CTL with HDF media) in atelocollagen 4 mg/mL of 22/11/2024 - Polymerisation, Frequency sweep, Stress ramp
HDF_04percent_pol_221124_1 = data_221124_rheo1[0]
HDF_04percent_freqsweep_221124_1 = data_221124_rheo1[1]
HDF_04percent_stressramp_221124_1 = data_221124_rheo1[2]

HDF_04percent_pol_221124_2 = data_221124_rheo2[0]
HDF_04percent_freqsweep_221124_2 = data_221124_rheo2[1]
HDF_04percent_stressramp_221124_2 = data_221124_rheo2[2]


HDF_4percent_pol_1_221124_1 = data_221124_rheo1[3]
HDF_4percent_freqsweep_1_221124_1 = data_221124_rheo1[4]
HDF_4percent_stressramp_1_221124_1 = data_221124_rheo1[5]

HDF_4percent_pol_1_221124_2 = data_221124_rheo2[3]
HDF_4percent_freqsweep_1_221124_2 = data_221124_rheo2[4]
HDF_4percent_stressramp_1_221124_2 = data_221124_rheo2[5]


HDF_4percent_pol_2_221124_1 = data_221124_rheo1[6]
HDF_4percent_freqsweep_2_221124_1 = data_221124_rheo1[7]
HDF_4percent_stressramp_2_221124_1 = data_221124_rheo1[8]

HDF_4percent_pol_2_221124_2 = data_221124_rheo2[6]
HDF_4percent_freqsweep_2_221124_2 = data_221124_rheo2[7]
HDF_4percent_stressramp_2_221124_2 = data_221124_rheo2[8]


CTL_HDF_pol_1_221124_1 = data_221124_rheo1[9]
CTL_HDF_freqsweep_1_221124_1 = data_221124_rheo1[10]
CTL_HDF_stressramp_1_221124_1 = data_221124_rheo1[11]

CTL_HDF_pol_1_221124_2 = data_221124_rheo2[9]
CTL_HDF_freqsweep_1_221124_2 = data_221124_rheo2[10]
CTL_HDF_stressramp_1_221124_2 = data_221124_rheo2[11]

CTL_HDF_pol_2_221124_1 = data_221124_rheo1[12]
CTL_HDF_freqsweep_2_221124_1 = data_221124_rheo1[13]
CTL_HDF_stressramp_2_221124_1 = data_221124_rheo1[14]

CTL_HDF_pol_2_221124_2 = data_221124_rheo2[12]
CTL_HDF_freqsweep_2_221124_2 = data_221124_rheo2[13]
CTL_HDF_stressramp_2_221124_2 = data_221124_rheo2[14]


## Data collection for MDA-MB-231 Lifeact-GFP cells incubated for 15 min with anti-beta1 integrin blocking antibody at 10 ug/mL of 04/12/2024 - Polymerisation, Frequency sweep, Stress ramp
MDA_4percent_integblock_pol_1_041224_1 = data_041224_rheo1[3]
MDA_4percent_integblock_freqsweep_1_041224_1 = data_041224_rheo1[4]
MDA_4percent_integblock_stressramp_1_041224_1 = data_041224_rheo1[5]

MDA_4percent_integblock_pol_2_041224_1 = data_041224_rheo1[6]
MDA_4percent_integblock_freqsweep_2_041224_1 = data_041224_rheo1[7]
MDA_4percent_integblock_stressramp_2_041224_1 = data_041224_rheo1[8]

MDA_4percent_integblock_pol_2_041224_2 = data_041224_rheo2[6]
MDA_4percent_integblock_freqsweep_2_041224_2 = data_041224_rheo2[7]
MDA_4percent_integblock_stressramp_2_041224_2 = data_041224_rheo2[8]

MDA_20percent_integblock_pol_1_041224_1 = data_041224_rheo1[9]
MDA_20percent_integblock_freqsweep_1_041224_1 = data_041224_rheo1[10]
MDA_20percent_integblock_stressramp_1_041224_1 = data_041224_rheo1[11]

MDA_20percent_integblock_pol_1_041224_2 = data_041224_rheo2[9]
MDA_20percent_integblock_freqsweep_1_041224_2 = data_041224_rheo2[10]
MDA_20percent_integblock_stressramp_1_041224_2 = data_041224_rheo2[11]

MDA_20percent_integblock_pol_2_041224_1 = data_041224_rheo1[12]
MDA_20percent_integblock_freqsweep_2_041224_1 = data_041224_rheo1[13]
MDA_20percent_integblock_stressramp_2_041224_1 = data_041224_rheo1[14]

MDA_20percent_integblock_pol_2_041224_2 = data_041224_rheo2[12]
MDA_20percent_integblock_freqsweep_2_041224_2 = data_041224_rheo2[13]
MDA_20percent_integblock_stressramp_2_041224_2 = data_041224_rheo2[14]


## Data collection for MDA-MB-231 Lifeact-GFP cells incubated for 15 min with anti-beta1 integrin blocking antibody at 10 ug/mL of 13/12/2024 - Polymerisation, Frequency sweep, Stress ramp
MDA_4percent_integblock_pol_1_131224_1 = data_131224_rheo1[0]
MDA_4percent_integblock_freqsweep_1_131224_1 = data_131224_rheo1[1]
MDA_4percent_integblock_stressramp_1_131224_1 = data_131224_rheo1[2]

MDA_4percent_integblock_pol_1_131224_2 = data_131224_rheo2[0] #We exclude this one as it is low and uncomplete filling
MDA_4percent_integblock_freqsweep_1_131224_2 = data_131224_rheo2[1]
MDA_4percent_integblock_stressramp_1_131224_2 = data_131224_rheo2[2] #This excluded 


MDA_4percent_integblock_pol_2_131224_1 = data_131224_rheo1[3]
MDA_4percent_integblock_freqsweep_2_131224_1 = data_131224_rheo1[4]
MDA_4percent_integblock_stressramp_2_131224_1 = data_131224_rheo1[5]

MDA_4percent_integblock_pol_2_131224_2 = data_131224_rheo2[3] #We exclude this one as it is low again - 30Pa 
MDA_4percent_integblock_freqsweep_2_131224_2 = data_131224_rheo2[4]
MDA_4percent_integblock_stressramp_2_131224_2 = data_131224_rheo2[5]


MDA_20percent_integblock_pol_1_131224_1 = data_131224_rheo1[6]
MDA_20percent_integblock_freqsweep_1_131224_1 = data_131224_rheo1[7]
MDA_20percent_integblock_stressramp_1_131224_1 = data_131224_rheo1[8]

MDA_20percent_integblock_pol_1_131224_2 = data_131224_rheo2[6] 
MDA_20percent_integblock_freqsweep_1_131224_2 = data_131224_rheo2[7]
MDA_20percent_integblock_stressramp_1_131224_2 = data_131224_rheo2[8]


MDA_20percent_integblock_pol_2_131224_1 = data_131224_rheo1[9]
MDA_20percent_integblock_freqsweep_2_131224_1 = data_131224_rheo1[10]
MDA_20percent_integblock_stressramp_2_131224_1 = data_131224_rheo1[11]

MDA_20percent_integblock_pol_2_131224_2 = data_131224_rheo2[9] 
MDA_20percent_integblock_freqsweep_2_131224_2 = data_131224_rheo2[10]
MDA_20percent_integblock_stressramp_2_131224_2 = data_131224_rheo2[11]


CTL_integblock_pol_131224_1 = data_131224_rheo1[12]
CTL_integblock_freqsweep_131224_1 = data_131224_rheo1[13]
CTL_integblock_stressramp_131224_1 = data_131224_rheo1[14]

CTL_integblock_pol_131224_2 = data_131224_rheo2[12] 
CTL_integblock_freqsweep_131224_2 = data_131224_rheo2[13]
CTL_integblock_stressramp_131224_2 = data_131224_rheo2[14]


#Data collection for experiment with 0.4% (called 0.1 new) MDA-MB-231 in atelocollagen 4 mg/mL of 18/12/2024 - Polymerisation, Frequency sweep, Stress ramp
MDA_0pt1percent_new_pol_1_18122024_1 = data_181224_rheo1[0]
MDA_0pt1percent_new_freqsweep_1_18122024_1 = data_181224_rheo1[1]
MDA_0pt1percent_new_stressramp_1_18122024_1 = data_181224_rheo1[2]

MDA_0pt1percent_new_pol_1_18122024_2 = data_181224_rheo2[0]
MDA_0pt1percent_new_freqsweep_1_18122024_2 = data_181224_rheo2[1]
MDA_0pt1percent_new_stressramp_1_18122024_2 = data_181224_rheo2[2]

MDA_0pt1percent_new_pol_2_18122024_1 = data_181224_rheo1[3]
MDA_0pt1percent_new_freqsweep_2_18122024_1 = data_181224_rheo1[4]
MDA_0pt1percent_new_stressramp_2_18122024_1 = data_181224_rheo1[5]

MDA_0pt1percent_new_pol_2_18122024_2 = data_181224_rheo2[3]
MDA_0pt1percent_new_freqsweep_2_18122024_2 = data_181224_rheo2[4]
MDA_0pt1percent_new_stressramp_2_18122024_2 = data_181224_rheo2[5]



#Data collection from PPE Lab 
#Data collection for experiment with CTL collagen of 15/02/2024 - Polymerisation, Frequency sweep, Stress ramp
CTL_pol_2_150224 = data_150224_PPE[1]
CTL_freqsweep_2_150224= data_150224_PPE[2]
CTL_stressramp_2_150224 = data_150224_PPE[4]
#Gap is 0.16
CTL_pol_3_150224 = data_150224_PPE[5]
CTL_freqsweep_3_150224 = data_150224_PPE[6]
CTL_stressramp_3_150224 = data_150224_PPE[7]

#Data collection for experiment with MDA-MB-231 1% cells and CTL second round: 20/02/2024 - Polymerisation, Frequency sweep, Stress ramp 
MDA_1percent_pol_200224 =data_200224_PPE[3]
MDA_1percent_freqsweep_200224 =data_200224_PPE[4]
MDA_1percent_stressramp_200224 =data_200224_PPE[5]

CTL_pol_200224 = data_200224_PPE[6]
CTL_freqsweep_200224 = data_200224_PPE[7]
CTL_stressramp_200224 = data_200224_PPE[8]


#Data collection for experiment with CTL collagen: 27/02/2024 - Polymerisation, Frequency sweep, Stress ramp 
CTL_pol_270224 = data_270224_PPE[3]
CTL_freqsweep_270224= data_270224_PPE[4]
CTL_stressramp_270224 = data_270224_PPE[5]


#Data collection for experiment with 4% MDA-MB-231 cells : 03/07/2024 - Polymerisation-stress ramp 
MDA_4percent_pol_030724 = data_030724_PPE[0]
MDA_4percent_stressramp_030724 = data_030724_PPE[2]


#Data collection for experiment with 4%-20% MDA-MB-231 cells with 5 mM EDTA: 22/07/2024 - Polymerisation-stress ramp 
MDA_4percent_EDTA_pol_220724 = data_220724_PPE[0]
MDA_4percent_EDTA_stressramp_220724 = data_220724_PPE[2]

MDA_20percent_EDTA_pol_220724 = data_220724_PPE[4]
MDA_20percent_EDTA_stressramp_220724 = data_220724_PPE[6]

#Data collection for experiment with CTL collagen: 18/09/2024 - Polymerisation-stress ramp
CTL_pol_180924 = data_180924_PPE[0]
CTL_stressramp_180924 = data_180924_PPE[1]

#Data collection for experiment with CTL collagen: 27/09/2024 - Polymerisation-stress ramp
CTL_pol_270924 = data_270924_PPE[0]
CTL_stressramp_270924 = data_270924_PPE[1]

MDA_20percent_EDTA_pol_270924 = data_270924_PPE[2]
MDA_20percent_EDTA_stressramp_270924 = data_270924_PPE[3]

#Data collection for experiment with CTL collagen: 11/10/2024 - Polymerisation
CTL_pol_111024 = data_111024_PPE[3]

#Data collection for experiment with 4% MDA-MB-231: 06/11/2024 - Polymerisation
MDA_4percent_pol_061124 = data_061124_PPE[0]

MDA_4percent_2_pol_061124 = data_061124_PPE[2]
MDA_4percent_2_stressramp_061124 = data_061124_PPE[3]


#Data collection for experiment with 4% MDA-MB-231: 07/11/2024 - Polymerisation
MDA_4percent_pol_071124 = data_071124_PPE[0]

#Data collection for experiment with 4% MDA-MD-231 : 18/12/2024 - Polymerisation
MDA_4percent_pol_18122024 = data_181224_PPE[1]

## Arrays for CTL and 4% MDA-MB-231 measured in the rheoconfocal where we have nice rheology curves + nice images 
CTL_pol_comp_PPE = [CTL_pol_200224,CTL_pol_180924,CTL_pol_270924,CTL_pol_111024]
MDA_4percent_comp_PPE = [MDA_1percent_pol_200224,MDA_4percent_pol_061124,MDA_4percent_pol_071124 ,MDA_4percent_pol_18122024]


## Arrays for bovine chondrocytes polymerisation and frequency sweeps
CTL_BC_pol = [CTL_pol_061223_1,CTL_pol_061223_2,CTL_pol_141123_1,CTL_pol_141123_2,CTL_pol_201123_1,CTL_pol_201123_2,CTL_pol_271123_1,CTL_pol_271123_2,CTL_pol_041223_1,CTL_pol_041223_2,CTL_pol_150124_1,CTL_pol_160124_1,CTL_pol_170124_1]
BC_0pt1percent_pol=[BC_0pt1percent_pol_061223_1,BC_0pt1percent_pol_061223_2]
BC_1percent_pol=[BC_1percent_pol_081123_1,BC_1percent_pol_081123_2]
BC_10percent_pol= [BC_10percent_pol_081123_1,BC_10percent_pol_081123_2,BC_10percent_pol_061223_1,BC_10percent_pol_061223_2]

CTL_BC_freqsweep = [CTL_freqsweep_081123_1,CTL_freqsweep_081123_2,CTL_freqsweep_081123_1,CTL_freqsweep_081123_2]
BC_0pt1percent_freqsweep=[BC_0pt1percent_freqsweep_061223_1,BC_0pt1percent_freqsweep_061223_2]
BC_1percent_freqsweep=[BC_1percent_freqsweep_081123_1,BC_1percent_freqsweep_081123_2]
BC_10percent_freqsweep= [BC_10percent_freqsweep_081123_1,BC_10percent_freqsweep_081123_2,BC_10percent_freqsweep_061223_1,BC_10percent_freqsweep_061223_2]


##Arrays for CTL collagen (including the new batch and measurements from October 2024)
CTL_pol =[CTL_pol_141123_1,CTL_pol_141123_2,CTL_pol_201123_1,CTL_pol_201123_2,CTL_pol_271123_1,CTL_pol_271123_2,CTL_pol_041223_1,CTL_pol_041223_2,CTL_pol_150124_1,CTL_pol_160124_1,CTL_pol_170124_1, CTL_pol_1_171024_1, CTL_pol_1_171024_2, CTL_pol_2_171024_1, CTL_pol_3_171024_1, CTL_pol_3_171024_2]
CTL_freqsweep = [CTL_freqsweep_141123_1,CTL_freqsweep_141123_2,CTL_freqsweep_201123_1,CTL_freqsweep_201123_2,CTL_freqsweep_271123_1,CTL_freqsweep_271123_2,CTL_freqsweep_041223_1,CTL_freqsweep_041223_2,CTL_freqsweep_160124_1, CTL_freqsweep_170124_1, CTL_freqsweep_1_171024_1, CTL_freqsweep_1_171024_2, CTL_freqsweep_2_171024_1, CTL_freqsweep_3_171024_1, CTL_freqsweep_3_171024_2]
CTL_stressramp = [CTL_stressramp_160124_1,CTL_static_stressramp_160124_2,CTL_stressramp_170124_1,CTL_static_stressramp_170124_2, CTL_stressramp_1_171024_1, CTL_stressramp_1_171024_2, CTL_stressramp_2_171024_1,CTL_stressramp_2_171024_2, CTL_stressramp_3_171024_1]

##Arrays for CTL collagen from new batch - Measurements of 17 October 2024)
CTL_pol_newbatch =[CTL_pol_1_171024_1, CTL_pol_1_171024_2, CTL_pol_2_171024_1, CTL_pol_3_171024_1, CTL_pol_3_171024_2]
CTL_freqsweep_newbatch = [CTL_freqsweep_1_171024_1, CTL_freqsweep_1_171024_2, CTL_freqsweep_2_171024_1, CTL_freqsweep_3_171024_1, CTL_freqsweep_3_171024_2]
CTL_stressramp_newbatch = [CTL_stressramp_1_171024_1, CTL_stressramp_1_171024_2, CTL_stressramp_2_171024_1,CTL_stressramp_2_171024_2, CTL_stressramp_3_171024_1, CTL_stressramp_3_171024_2]

##Arrays for CTL collagen in static
CTL_static_freqsweep =[CTL_static_freqsweep_160124_2,CTL_static_freqsweep_170124_2]
CTL_static_stressramp =[CTL_static_stressramp_160124_2,CTL_static_stressramp_170124_2]

##Arrays for 0.1% cells 
MDA_0pt1percent_pol = [MDA_0pt1percent_pol_271123_1,MDA_0pt1percent_pol_271123_2, MDA_0pt1percent_pol_1_16022024_1, MDA_0pt1percent_pol_1_16022024_2]
MDA_0pt1percent_freqsweep = [MDA_0pt1percent_freqsweep_271123_1,MDA_0pt1percent_freqsweep_271123_2,MDA_0pt1percent_freqsweep_1_16022024_1, MDA_0pt1percent_freqsweep_1_16022024_1]
MDA_0pt1percent_stressramp = [MDA_0pt1percent_stressramp_1_16022024_1, MDA_0pt1percent_stressramp_1_16022024_2]

##New ones from December 2024, put separate from the previous as they are a bit lower
MDA_0pt1percent_pol_new = [MDA_0pt1percent_new_pol_1_18122024_1, MDA_0pt1percent_new_pol_1_18122024_2, MDA_0pt1percent_new_pol_2_18122024_1, MDA_0pt1percent_new_pol_2_18122024_2] 
MDA_0pt1percent_freqsweep_new = [MDA_0pt1percent_new_freqsweep_1_18122024_1, MDA_0pt1percent_new_freqsweep_1_18122024_2, MDA_0pt1percent_new_freqsweep_2_18122024_1, MDA_0pt1percent_new_freqsweep_2_18122024_2] 
MDA_0pt1percent_stressramp_new = [MDA_0pt1percent_new_stressramp_1_18122024_1, MDA_0pt1percent_new_stressramp_1_18122024_2, MDA_0pt1percent_new_stressramp_2_18122024_1, MDA_0pt1percent_new_stressramp_2_18122024_2] 

MDA_0pt1percent_pol_tot = [MDA_0pt1percent_pol_271123_1,MDA_0pt1percent_pol_271123_2, MDA_0pt1percent_pol_1_16022024_1, MDA_0pt1percent_pol_1_16022024_2,MDA_0pt1percent_new_pol_1_18122024_1, MDA_0pt1percent_new_pol_1_18122024_2, MDA_0pt1percent_new_pol_2_18122024_1, MDA_0pt1percent_new_pol_2_18122024_2]
MDA_0pt1percent_freqsweep_tot = [MDA_0pt1percent_freqsweep_271123_1,MDA_0pt1percent_freqsweep_271123_2, MDA_0pt1percent_freqsweep_1_16022024_1, MDA_0pt1percent_freqsweep_1_16022024_2,MDA_0pt1percent_new_freqsweep_1_18122024_1, MDA_0pt1percent_new_freqsweep_1_18122024_2, MDA_0pt1percent_new_freqsweep_2_18122024_1, MDA_0pt1percent_new_freqsweep_2_18122024_2]
MDA_0pt1percent_stressramp_tot = [MDA_0pt1percent_stressramp_1_16022024_1, MDA_0pt1percent_stressramp_1_16022024_2,MDA_0pt1percent_new_stressramp_1_18122024_1, MDA_0pt1percent_new_stressramp_1_18122024_2, MDA_0pt1percent_new_stressramp_2_18122024_1] ##, MDA_0pt1percent_new_stressramp_2_18122024_2


##Arrays for 1% cells 
MDA_1percent_pol = [MDA_1percent_pol_141123_1,MDA_1percent_pol_201123_1,MDA_1percent_pol_201123_2,MDA_1percent_pol_160124_1,MDA_1percent_pol_160124_2,MDA_1percent_pol_170124_1,MDA_1percent_pol_170124_2,MDA_1percent_pol_1_30012024_1,MDA_1percent_pol_2_30012024_1,MDA_1percent_pol_1_30012024_2, MDA_1percent_pol_1_06022024_1, MDA_1percent_pol_1_06022024_2, MDA_1percent_pol_2_13022024_1, MDA_1percent_pol_2_13022024_2, MDA_1percent_pol_1_19022024_1, MDA_1percent_pol_1_19022024_2,MDA_1percent_pol_1_05032024_1, MDA_1percent_pol_1_05032024_2, MDA_1percent_pol_19032024_1,MDA_1percent_pol_19032024_2,MDA_1percent_pol_1_25032024_1,MDA_1percent_pol_1_25032024_2,MDA_1percent_pol_2_25032024_1,MDA_1percent_pol_2_25032024_2]  
MDA_1percent_freqsweep = [MDA_1percent_freqsweep_141123_1,MDA_1percent_freqsweep_201123_1,MDA_1percent_freqsweep_201123_2,MDA_1percent_freqsweep_160124_1,MDA_1percent_freqsweep_160124_2,MDA_1percent_freqsweep_170124_1,MDA_1percent_freqsweep_170124_2,MDA_1percent_freqsweep_1_30012024_1,MDA_1percent_freqsweep_2_30012024_1,MDA_1percent_freqsweep_1_30012024_2, MDA_1percent_freqsweep_1_06022024_1, MDA_1percent_freqsweep_1_06022024_2, MDA_1percent_freqsweep_2_13022024_1, MDA_1percent_freqsweep_2_13022024_2, MDA_1percent_freqsweep_1_19022024_1, MDA_1percent_freqsweep_1_19022024_2, MDA_1percent_freqsweep_1_05032024_1, MDA_1percent_freqsweep_1_05032024_2, MDA_1percent_freqsweep_19032024_1,MDA_1percent_freqsweep_19032024_2,MDA_1percent_freqsweep_1_25032024_1,MDA_1percent_freqsweep_1_25032024_2,MDA_1percent_freqsweep_2_25032024_1,MDA_1percent_freqsweep_2_25032024_2] 
MDA_1percent_stressramp =[MDA_1percent_stressramp_160124_1,MDA_1percent_stressramp_160124_2,MDA_1percent_stressramp_170124_1,MDA_1percent_stressramp_170124_2,MDA_1percent_stressramp_1_30012024_1, MDA_1percent_stressramp_2_30012024_1,MDA_1percent_stressramp_1_30012024_2, MDA_1percent_stressramp_1_06022024_2 , MDA_1percent_stressramp_2_13022024_1, MDA_1percent_stressramp_2_13022024_2, MDA_1percent_stressramp_1_19022024_1, MDA_1percent_stressramp_1_19022024_2,  MDA_1percent_stressramp_1_05032024_1, MDA_1percent_stressramp_1_05032024_2, MDA_1percent_stressramp_19032024_1,MDA_1percent_stressramp_19032024_2,MDA_1percent_stressramp_1_25032024_1,MDA_1percent_stressramp_1_25032024_2,MDA_1percent_stressramp_2_25032024_1,MDA_1percent_stressramp_2_25032024_2] ##MDA_1percent_stressramp_1_06022024_1


##Arrays for 10% cells 
MDA_10percent_pol = [MDA_10percent_pol_141123_1,MDA_10percent_pol_141123_2,MDA_10percent_pol_201123_1,MDA_10percent_pol_201123_2,MDA_10percent_pol_160124_1,MDA_10percent_pol_170124_1, MDA_10percent_g016_pol_23012024_1,MDA_10percent_g016_pol_23012024_2, MDA_10percent_pol_1_19022024_1, MDA_10percent_pol_1_19022024_2] 
MDA_10percent_freqsweep = [MDA_10percent_freqsweep_141123_1,MDA_10percent_freqsweep_141123_2,MDA_10percent_freqsweep_201123_1,MDA_10percent_freqsweep_201123_2,MDA_10percent_freqsweep_160124_1,MDA_10percent_freqsweep_170124_1, MDA_10percent_g016_freqsweep_23012024_1, MDA_10percent_g016_freqsweep_23012024_2, MDA_10percent_freqsweep_1_19022024_1, MDA_10percent_freqsweep_1_19022024_2 ] 
MDA_10percent_stressramp = [MDA_10percent_stressramp_160124_1, MDA_10percent_stressramp_170124_1, MDA_10percent_g016_stressramp_23012024_1, MDA_10percent_g016_stressramp_23012024_2, MDA_10percent_stressramp_1_19022024_1, MDA_10percent_stressramp_1_19022024_2 ] 

##Arrays for 10% cells in static
MDA_10percent_static_freqsweep = [MDA_10percent_static_freqsweep_160124_2,MDA_10percent_static_freqsweep_170124_2]
MDA_10percent_static_stressramp = [MDA_10percent_static_stressramp_160124_2,MDA_10percent_static_stressramp_170124_2]

##Arrays for CTL collagen and 10% cells with different gaps
CTL_g032_pol = [CTL_g032_pol_23012024_1]
CTL_g032_freqsweep = [CTL_g032_freqsweep_23012024_1]
CTL_g032_stressramp = [CTL_g032_stressramp_23012024_1]

CTL_g048_pol =[CTL_g048_pol_23012024_2]
CTL_g048_freqsweep =[CTL_g048_freqsweep_23012024_2]
CTL_g048_stressramp =[CTL_g048_stressramp_23012024_2]

MDA_10percent_g016_pol = [MDA_10percent_pol_141123_1,MDA_10percent_pol_141123_2,MDA_10percent_pol_201123_1,MDA_10percent_pol_201123_2,MDA_10percent_pol_160124_1,MDA_10percent_pol_170124_1,MDA_10percent_g016_pol_23012024_1,MDA_10percent_g016_pol_23012024_2,  MDA_10percent_pol_1_19022024_1, MDA_10percent_pol_1_19022024_2]
MDA_10percent_g016_freqsweep = [MDA_10percent_freqsweep_141123_1,MDA_10percent_freqsweep_141123_2,MDA_10percent_freqsweep_201123_1,MDA_10percent_freqsweep_201123_2,MDA_10percent_freqsweep_160124_1,MDA_10percent_freqsweep_170124_1,MDA_10percent_g016_freqsweep_23012024_1,MDA_10percent_g016_freqsweep_23012024_2, MDA_10percent_freqsweep_1_19022024_1, MDA_10percent_freqsweep_1_19022024_2]
MDA_10percent_g016_stressramp = [MDA_10percent_stressramp_160124_1,MDA_10percent_stressramp_170124_1,MDA_10percent_g016_stressramp_23012024_1,MDA_10percent_g016_stressramp_23012024_2, MDA_10percent_stressramp_1_19022024_1, MDA_10percent_stressramp_1_19022024_2]


MDA_10percent_g032_pol = [MDA_10percent_g032_pol_23012024_2]
MDA_10percent_g032_freqsweep = [MDA_10percent_g032_freqsweep_23012024_2]
MDA_10percent_g032_stressramp = [MDA_10percent_g032_stressramp_23012024_2]


MDA_10percent_g048_pol = [MDA_10percent_g048_pol_23012024_1]
MDA_10percent_g048_freqsweep = [MDA_10percent_g048_freqsweep_23012024_1]
MDA_10percent_g048_stressramp = [MDA_10percent_g048_stressramp_23012024_1]

##Arrays for Batimastat experiments in suspension: 30/01/2024 and 06/02/2024 
MDA_1percent_10uMBat_pol = [MDA_1percent_10uMBat_pol_1_30012024_1,MDA_1percent_10uMBat_pol_2_30012024_1,MDA_1percent_10uMBat_pol_1_30012024_2,MDA_1percent_10uMBat_pol_2_30012024_2, MDA_1percent_10uMBat_pol_1_06022024_1, MDA_1percent_10uMBat_pol_1_06022024_2, MDA_1percent_10uMBat_pol_2_06022024_1, MDA_1percent_10uMBat_pol_2_06022024_2]
MDA_1percent_10uMBat_freqsweep = [MDA_1percent_10uMBat_freqsweep_1_30012024_1,MDA_1percent_10uMBat_freqsweep_2_30012024_1,MDA_1percent_10uMBat_freqsweep_1_30012024_2,MDA_1percent_10uMBat_freqsweep_2_30012024_2, MDA_1percent_10uMBat_freqsweep_1_06022024_1, MDA_1percent_10uMBat_freqsweep_1_06022024_2, MDA_1percent_10uMBat_freqsweep_2_06022024_1, MDA_1percent_10uMBat_freqsweep_2_06022024_2]
MDA_1percent_10uMBat_stressramp = [MDA_1percent_10uMBat_stressramp_1_30012024_1,MDA_1percent_10uMBat_stressramp_2_30012024_1,MDA_1percent_10uMBat_stressramp_1_30012024_2,MDA_1percent_10uMBat_stressramp_2_30012024_2, MDA_1percent_10uMBat_stressramp_1_06022024_1, MDA_1percent_10uMBat_stressramp_1_06022024_2, MDA_1percent_10uMBat_stressramp_2_06022024_1, MDA_1percent_10uMBat_stressramp_2_06022024_2]

##Array for 1% cells left in suspension for 3 hours: 13/02/2024 
MDA_1percent_3hSusp_pol= [MDA_1percent_3hSusp_pol_1_13022024_1,MDA_1percent_3hSusp_pol_1_13022024_2, MDA_1percent_3hSusp_pol_2_13022024_1, MDA_1percent_3hSusp_pol_1_13022024_1]
MDA_1percent_3hSusp_freqsweep= [MDA_1percent_3hSusp_freqsweep_1_13022024_1,MDA_1percent_3hSusp_freqsweep_1_13022024_2, MDA_1percent_3hSusp_freqsweep_2_13022024_1, MDA_1percent_3hSusp_freqsweep_1_13022024_1]
MDA_1percent_3hSusp_stressramp= [MDA_1percent_3hSusp_stressramp_1_13022024_1,MDA_1percent_3hSusp_stressramp_1_13022024_2, MDA_1percent_3hSusp_stressramp_2_13022024_1, MDA_1percent_3hSusp_stressramp_1_13022024_1]


    
## Arrays for 10 uM Blebbistatin experiments in 2D for 3 hours, 1% cells:
MDA_1percent_10uMBleb2D_pol = [MDA_1percent_10uMBleb2D_pol_1_25032024_1,MDA_1percent_10uMBleb2D_pol_1_25032024_2,MDA_1percent_10uMBleb2D_pol_2_25032024_1,MDA_1percent_10uMBleb2D_pol_2_25032024_2,MDA_1percent_10uMBleb2D_pol_1_19032024_1,MDA_1percent_10uMBleb2D_pol_1_19032024_2,MDA_1percent_10uMBleb2D_pol_2_19032024_1,MDA_1percent_10uMBleb2D_pol_2_19032024_2]                               
MDA_1percent_10uMBleb2D_freqsweep = [MDA_1percent_10uMBleb2D_freqsweep_1_25032024_1,MDA_1percent_10uMBleb2D_freqsweep_1_25032024_2,MDA_1percent_10uMBleb2D_freqsweep_2_25032024_1,MDA_1percent_10uMBleb2D_freqsweep_2_25032024_2,MDA_1percent_10uMBleb2D_freqsweep_1_19032024_1,MDA_1percent_10uMBleb2D_freqsweep_1_19032024_2,MDA_1percent_10uMBleb2D_freqsweep_2_19032024_1,MDA_1percent_10uMBleb2D_freqsweep_2_19032024_2]
MDA_1percent_10uMBleb2D_stressramp = [MDA_1percent_10uMBleb2D_stressramp_1_25032024_1,MDA_1percent_10uMBleb2D_stressramp_1_25032024_2,MDA_1percent_10uMBleb2D_stressramp_2_25032024_1,MDA_1percent_10uMBleb2D_stressramp_2_25032024_2,MDA_1percent_10uMBleb2D_stressramp_1_19032024_1,MDA_1percent_10uMBleb2D_stressramp_1_19032024_2,MDA_1percent_10uMBleb2D_stressramp_2_19032024_1,MDA_1percent_10uMBleb2D_stressramp_2_19032024_2]

## Arrays for 1% cells control for 10 uM Blebbistatin experiments in 2D for 3 hours
MDA_1percent_CTLBleb_pol =[MDA_1percent_pol_19032024_1,MDA_1percent_pol_19032024_2,MDA_1percent_pol_1_25032024_1,MDA_1percent_pol_1_25032024_2,MDA_1percent_pol_2_25032024_1,MDA_1percent_pol_2_25032024_2]
MDA_1percent_CTLBleb_freqsweep =[MDA_1percent_freqsweep_19032024_1,MDA_1percent_freqsweep_19032024_2,MDA_1percent_freqsweep_1_25032024_1,MDA_1percent_freqsweep_1_25032024_2,MDA_1percent_freqsweep_2_25032024_1,MDA_1percent_freqsweep_2_25032024_2]
MDA_1percent_CTLBleb_stressramp =[MDA_1percent_stressramp_19032024_1,MDA_1percent_stressramp_19032024_2,MDA_1percent_stressramp_1_25032024_1,MDA_1percent_stressramp_1_25032024_2,MDA_1percent_stressramp_2_25032024_1,MDA_1percent_stressramp_2_25032024_2]
    
##Arrays for 10 uM Batimastat experiments in 2D for 3 hours, 1 % cells and 10% cells: 19/02/2024 and 05/03/2024 and 23/10/2024 (for 4%)
MDA_10percent_10uMBat2D_pol = [MDA_10percent_10uMBat2D_pol_1_19022024_1, MDA_10percent_10uMBat2D_pol_1_19022024_2]
MDA_10percent_10uMBat2D_freqsweep = [MDA_10percent_10uMBat2D_freqsweep_1_19022024_1, MDA_10percent_10uMBat2D_freqsweep_1_19022024_2]
MDA_10percent_10uMBat2D_stressramp = [MDA_10percent_10uMBat2D_stressramp_1_19022024_1, MDA_10percent_10uMBat2D_stressramp_1_19022024_2]


MDA_1percent_10uMBat2D_pol = [MDA_1percent_10uMBat2D_pol_1_19022024_1, MDA_1percent_10uMBat2D_pol_1_19022024_2, MDA_1percent_10uMBat2D_pol_1_05032024_1, MDA_4percent_10uMBat2D_pol_1_231024_1, MDA_4percent_10uMBat2D_pol_1_231024_2, MDA_4percent_10uMBat2D_pol_2_231024_1, MDA_4percent_10uMBat2D_pol_2_231024_2]
MDA_1percent_10uMBat2D_freqsweep = [MDA_10percent_10uMBat2D_freqsweep_1_19022024_1, MDA_1percent_10uMBat2D_freqsweep_1_19022024_2, MDA_1percent_10uMBat2D_freqsweep_1_05032024_1, MDA_4percent_10uMBat2D_freqsweep_1_231024_1, MDA_4percent_10uMBat2D_freqsweep_1_231024_2, MDA_4percent_10uMBat2D_freqsweep_2_231024_1, MDA_4percent_10uMBat2D_freqsweep_2_231024_2]
MDA_1percent_10uMBat2D_stressramp = [MDA_1percent_10uMBat2D_stressramp_1_19022024_1, MDA_1percent_10uMBat2D_stressramp_1_19022024_2, MDA_1percent_10uMBat2D_stressramp_1_05032024_1, MDA_4percent_10uMBat2D_stressramp_1_231024_1, MDA_4percent_10uMBat2D_stressramp_1_231024_2, MDA_4percent_10uMBat2D_stressramp_2_231024_1, MDA_4percent_10uMBat2D_stressramp_2_231024_2]


##Arrays for 20% cells NEW FORMULATION 
MDA_20percent_new_pol = [MDA_20percent_new_pol_2_19042024_1,MDA_20percent_new_pol_3_19042024_1,MDA_20percent_new_pol_2_19042024_2,MDA_20percent_new_pol_3_19042024_2,MDA_20percent_pol_030724_1,MDA_20percent_pol_030724_2]
MDA_20percent_new_freqsweep = [MDA_20percent_new_freqsweep_2_19042024_1,MDA_20percent_new_freqsweep_3_19042024_1,MDA_20percent_new_freqsweep_2_19042024_2,MDA_20percent_new_freqsweep_3_19042024_2,MDA_20percent_freqsweep_030724_1,MDA_20percent_freqsweep_030724_2]
MDA_20percent_new_stressramp = [MDA_20percent_new_stressramp_2_19042024_1,MDA_20percent_new_stressramp_2_19042024_2,MDA_20percent_new_stressramp_3_19042024_2,MDA_20percent_stressramp_030724_1,MDA_20percent_stressramp_030724_2] ##,MDA_20percent_new_stressramp_3_19042024_1

## Arrays for 10% cells OLD FORMULATION + 20% cells NEW FORMULATION ==> THE ONE TO USE FORM NOW ON !
MDA_20percent_pol = MDA_10percent_pol + MDA_20percent_new_pol
MDA_20percent_freqsweep = MDA_10percent_freqsweep + MDA_20percent_new_freqsweep
MDA_20percent_stressramp = MDA_10percent_stressramp + MDA_20percent_new_stressramp

##Arrays for 20% cells (NEW FORMULATION) with 0.2% DMSO in 2D for 3h 
MDA_20percent_DMSO_pol =[MDA_20percent_DMSO_pol_110724_1,MDA_20percent_DMSO_pol_110724_2,MDA_20percent_DMSO_pol_220724_2]
MDA_20percent_DMSO_freqsweep =[MDA_20percent_DMSO_freqsweep_110724_1,MDA_20percent_DMSO_freqsweep_110724_2,MDA_20percent_DMSO_freqsweep_220724_2]
MDA_20percent_DMSO_stressramp =[MDA_20percent_DMSO_stressramp_110724_1,MDA_20percent_DMSO_stressramp_110724_2,MDA_20percent_DMSO_stressramp_220724_2]

##Arrays for 20% cells (NEW FORMULATION) with 10 uM Blebbistatin in 2D for 3h 
MDA_20percent_10uMBleb2D_pol =[MDA_20percent_10uMBleb2D_pol_1_030724_1,MDA_20percent_10uMBleb2D_pol_1_030724_2, MDA_20percent_10uMBleb2D_pol_2_030724_1, MDA_20percent_10uMBleb2D_pol_2_030724_2, MDA_20percent_10uMBleb2D_pol_110724_1, MDA_20percent_10uMBleb2D_pol_110724_2]
MDA_20percent_10uMBleb2D_freqsweep =[MDA_20percent_10uMBleb2D_freqsweep_1_030724_1,MDA_20percent_10uMBleb2D_freqsweep_1_030724_2, MDA_20percent_10uMBleb2D_freqsweep_2_030724_1, MDA_20percent_10uMBleb2D_freqsweep_2_030724_2, MDA_20percent_10uMBleb2D_freqsweep_110724_1, MDA_20percent_10uMBleb2D_freqsweep_110724_2]
MDA_20percent_10uMBleb2D_stressramp =[MDA_20percent_10uMBleb2D_stressramp_1_030724_1,MDA_20percent_10uMBleb2D_stressramp_1_030724_2, MDA_20percent_10uMBleb2D_stressramp_2_030724_1, MDA_20percent_10uMBleb2D_stressramp_2_030724_2, MDA_20percent_10uMBleb2D_stressramp_110724_1, MDA_20percent_10uMBleb2D_stressramp_110724_2]


##Arrays for CTL collagen 4mgmL with 5mM EDTA 
CTL_EDTA_pol = [CTL_EDTA_pol_1_110924_1, CTL_EDTA_pol_1_110924_2, CTL_EDTA_pol_2_110924_1, CTL_EDTA_pol_2_110924_2, CTL_EDTA_pol_120924_1, CTL_EDTA_pol_120924_2, CTL_EDTA_pol_180924_1,CTL_EDTA_pol_180924_2, CTL_EDTA_pol_270924_1, CTL_EDTA_pol_1_171024_1, CTL_EDTA_pol_1_171024_2, CTL_EDTA_pol_2_171024_1, CTL_EDTA_pol_2_171024_2] #, CTL_EDTA_pol_270924_2 this is discarded as it was quite low (50Pa)
CTL_EDTA_freqsweep = [CTL_EDTA_freqsweep_1_110924_1, CTL_EDTA_freqsweep_1_110924_2, CTL_EDTA_freqsweep_2_110924_1, CTL_EDTA_freqsweep_2_110924_2, CTL_EDTA_freqsweep_120924_1, CTL_EDTA_freqsweep_120924_2, CTL_EDTA_freqsweep_180924_1,CTL_EDTA_freqsweep_180924_2, CTL_EDTA_freqsweep_270924_1, CTL_EDTA_freqsweep_1_171024_1, CTL_EDTA_freqsweep_1_171024_2, CTL_EDTA_freqsweep_2_171024_1, CTL_EDTA_freqsweep_2_171024_2] #, CTL_EDTA_freqsweep_270924_2
CTL_EDTA_stressramp =  [CTL_EDTA_stressramp_1_110924_1, CTL_EDTA_stressramp_1_110924_2, CTL_EDTA_stressramp_2_110924_1, CTL_EDTA_stressramp_2_110924_2, CTL_EDTA_stressramp_120924_1, CTL_EDTA_stressramp_120924_2, CTL_EDTA_stressramp_180924_1, CTL_EDTA_stressramp_180924_2, CTL_EDTA_stressramp_270924_1, CTL_EDTA_stressramp_1_171024_1, CTL_EDTA_stressramp_1_171024_2, CTL_EDTA_stressramp_2_171024_1, CTL_EDTA_stressramp_2_171024_2] #, CTL_EDTA_stressramp_270924_2


##Arrays for 4% cells (NEW FORMULATION) with 5mM EDTA for 10 min 
MDA_4percent_EDTA_pol = [MDA_4percent_pol_1_120924_1, MDA_4percent_pol_1_120924_2,MDA_4percent_pol_2_120924_1, MDA_4percent_pol_2_120924_2, MDA_4percent_pol_3_120924_1, MDA_4percent_pol_3_120924_2] 
MDA_4percent_EDTA_freqsweep = [MDA_4percent_freqsweep_1_120924_1, MDA_4percent_freqsweep_1_120924_2,MDA_4percent_freqsweep_2_120924_1, MDA_4percent_freqsweep_2_120924_2, MDA_4percent_freqsweep_3_120924_1, MDA_4percent_freqsweep_3_120924_2]
MDA_4percent_EDTA_stressramp = [MDA_4percent_stressramp_1_120924_1, MDA_4percent_stressramp_1_120924_2,MDA_4percent_stressramp_2_120924_1, MDA_4percent_stressramp_2_120924_2, MDA_4percent_stressramp_3_120924_1, MDA_4percent_stressramp_3_120924_2]


##Arrays for 20% cells (NEW FORMULATION) with 5mM EDTA for 10 min 
MDA_20percent_EDTA_pol = [MDA_20percent_pol_1_180924_1, MDA_20percent_pol_1_180924_2, MDA_20percent_pol_2_180924_1, MDA_20percent_pol_2_180924_2, MDA_20percent_pol_3_180924_1, MDA_20percent_pol_3_180924_2, MDA_20percent_pol_1_270924_1, MDA_20percent_pol_1_270924_2, MDA_20percent_pol_2_270924_1, MDA_20percent_pol_2_270924_2] 
MDA_20percent_EDTA_freqsweep = [MDA_20percent_freqsweep_1_180924_1, MDA_20percent_freqsweep_1_180924_2, MDA_20percent_freqsweep_2_180924_1, MDA_20percent_freqsweep_2_180924_2, MDA_20percent_freqsweep_3_180924_1, MDA_20percent_freqsweep_3_180924_2, MDA_20percent_freqsweep_1_270924_1, MDA_20percent_freqsweep_1_270924_2, MDA_20percent_freqsweep_2_270924_1, MDA_20percent_freqsweep_2_270924_2]
MDA_20percent_EDTA_stressramp = [MDA_20percent_stressramp_1_180924_1, MDA_20percent_stressramp_1_180924_2, MDA_20percent_stressramp_2_180924_1, MDA_20percent_stressramp_2_180924_2, MDA_20percent_stressramp_3_180924_1, MDA_20percent_stressramp_3_180924_2, MDA_20percent_stressramp_1_270924_1, MDA_20percent_stressramp_1_270924_2, MDA_20percent_stressramp_2_270924_1, MDA_20percent_stressramp_2_270924_2]


##Arrays for CTL, 4% cells and 4% DMSO from 07/11/2024 (not merged with others as quite low, but consistently lower through all measurements)
MDA_4percentCTL_pol = [MDA_4percent_pol_1_071124_1, MDA_4percent_pol_1_071124_2,MDA_4percent_pol_2_071124_1, MDA_4percent_pol_2_071124_2]  
MDA_4percentCTL_freqsweep = [MDA_4percent_freqsweep_1_071124_1, MDA_4percent_freqsweep_1_071124_2, MDA_4percent_freqsweep_2_071124_2,MDA_4percent_freqsweep_2_071124_2] 
MDA_4percentCTL_stressramp = [MDA_4percent_stressramp_1_071124_1, MDA_4percent_stressramp_1_071124_2, MDA_4percent_stressramp_2_071124_2,MDA_4percent_stressramp_2_071124_2] 

MDA_4percent_DMSO_pol = [MDA_4percent_DMSO_pol_1_071124_1, MDA_4percent_DMSO_pol_2_071124_1, MDA_4percent_DMSO_pol_1_071124_2, MDA_4percent_DMSO_pol_2_071124_2]
MDA_4percent_DMSO_freqsweep = [MDA_4percent_DMSO_freqsweep_1_071124_1, MDA_4percent_DMSO_freqsweep_2_071124_1, MDA_4percent_DMSO_freqsweep_1_071124_1, MDA_4percent_DMSO_freqsweep_2_071124_1]
MDA_4percent_DMSO_stressramp = [MDA_4percent_DMSO_stressramp_1_071124_1, MDA_4percent_DMSO_stressramp_2_071124_1, MDA_4percent_DMSO_stressramp_1_071124_2, MDA_4percent_DMSO_stressramp_2_071124_2]

CTL_DMSO_pol = [CTL_pol_071124_1]
CTL_DMSO_freqsweep = [CTL_freqsweep_071124_1]
CTL_DMSO_stressramp = [CTL_stressramp_071124_1]


##Arrays for 20% PAA beads beads from 12/11/2024 and  19/11/2024 
PAbeads_20percent_pol = [PAbeads_20percent_pol_1_121124_1, PAbeads_20percent_pol_1_121124_2, PAbeads_20percent_pol_2_121124_2, PAbeads_20percent_pol_2_191124_1, PAbeads_20percent_pol_2_191124_2] 
PAbeads_20percent_freqsweep = [PAbeads_20percent_freqsweep_1_121124_1, PAbeads_20percent_freqsweep_1_121124_2, PAbeads_20percent_freqsweep_2_121124_2, PAbeads_20percent_freqsweep_2_191124_1, PAbeads_20percent_freqsweep_2_191124_2] 
PAbeads_20percent_stressramp = [PAbeads_20percent_stressramp_1_121124_1, PAbeads_20percent_stressramp_1_121124_2, PAbeads_20percent_stressramp_2_121124_2,PAbeads_20percent_stressramp_2_191124_1, PAbeads_20percent_stressramp_2_191124_2]


##Arrays for 4% PAA beads beads from 12/11/2024 and 14/11/2024
PAbeads_4percent_pol = [PAbeads_4percent_pol_2_121124_1, PAbeads_4percent_pol_2_121124_2, PAbeads_4percent_pol_141124_1, PAbeads_4percent_pol_141124_2]
PAbeads_4percent_freqsweep = [PAbeads_4percent_freqsweep_2_121124_1, PAbeads_4percent_freqsweep_2_121124_2, PAbeads_4percent_freqsweep_141124_1, PAbeads_4percent_freqsweep_141124_2]
PAbeads_4percent_stressramp = [PAbeads_4percent_stressramp_2_121124_1, PAbeads_4percent_stressramp_2_121124_2, PAbeads_4percent_stressramp_141124_1, PAbeads_4percent_stressramp_141124_2]

##Arrays for CTL collagen ONLY of 12/11 and 14/11 to compare with 4% beads experiments of the same days 
CTL_beads_pol = [CTL_pol_1_121124_1, CTL_pol_1_121124_2, CTL_pol_2_121124_1, CTL_pol_2_121124_2, CTL_pol_141124_1, CTL_pol_141124_2]
CTL_beads_stressramp = [CTL_stressramp_1_121124_1, CTL_stressramp_1_121124_2, CTL_stressramp_141124_1]# Removed because of slip: CTL_stressramp_2_121124_1, CTL_stressramp_2_121124_2, , CTL_stressramp_141124_2


##Arrays of HDF experiments 0.4, 4% and CTL with HDF media
HDF_04percent_pol = [HDF_04percent_pol_221124_1, HDF_04percent_pol_221124_2]
HDF_04percent_freqsweep = [HDF_04percent_freqsweep_221124_1, HDF_04percent_freqsweep_221124_2]
HDF_04percent_stressramp = [HDF_04percent_stressramp_221124_1, HDF_04percent_stressramp_221124_2]


HDF_4percent_pol = [HDF_4percent_pol_1_221124_1, HDF_4percent_pol_1_221124_2, HDF_4percent_pol_2_221124_1, HDF_4percent_pol_2_221124_2]
HDF_4percent_freqsweep = [HDF_4percent_freqsweep_1_221124_1, HDF_4percent_freqsweep_1_221124_2, HDF_4percent_freqsweep_2_221124_1, HDF_4percent_freqsweep_2_221124_2]
HDF_4percent_stressramp = [HDF_4percent_stressramp_1_221124_1, HDF_4percent_stressramp_1_221124_2, HDF_4percent_stressramp_2_221124_1, HDF_4percent_stressramp_2_221124_2]

CTL_HDF_pol = [CTL_HDF_pol_1_221124_1, CTL_HDF_pol_1_221124_2, CTL_HDF_pol_2_221124_1, CTL_HDF_pol_2_221124_2]
CTL_HDF_freqsweep = [CTL_HDF_freqsweep_1_221124_1, CTL_HDF_freqsweep_1_221124_2, CTL_HDF_freqsweep_2_221124_1, CTL_HDF_freqsweep_2_221124_2]
CTL_HDF_stressramp = [CTL_HDF_stressramp_1_221124_1,CTL_HDF_stressramp_1_221124_2, CTL_HDF_stressramp_2_221124_2] ## CTL_HDF_stressramp_2_221124_1,

##Arrays of MDA-MB-231 Lifeact-GFP cells incubated for 15 min with 10 ug/mL anti-beta 1 human integrin blocking antibody 4% and 20% cells 
MDA_4percent_integblock_pol = [MDA_4percent_integblock_pol_1_041224_1,MDA_4percent_integblock_pol_2_041224_1,MDA_4percent_integblock_pol_2_041224_2, MDA_4percent_integblock_pol_1_131224_1, MDA_4percent_integblock_pol_2_131224_1]
MDA_4percent_integblock_freqsweep = [MDA_4percent_integblock_freqsweep_1_041224_1,MDA_4percent_integblock_freqsweep_2_041224_1,MDA_4percent_integblock_freqsweep_2_041224_2, MDA_4percent_integblock_freqsweep_1_131224_1, MDA_4percent_integblock_freqsweep_2_131224_1]
MDA_4percent_integblock_stressramp = [MDA_4percent_integblock_stressramp_1_041224_1,MDA_4percent_integblock_stressramp_2_041224_1,MDA_4percent_integblock_stressramp_2_041224_2, MDA_4percent_integblock_stressramp_1_131224_1, MDA_4percent_integblock_stressramp_2_131224_1, MDA_4percent_integblock_stressramp_2_131224_2]


MDA_20percent_integblock_pol = [MDA_20percent_integblock_pol_1_041224_1,MDA_20percent_integblock_pol_1_041224_2,MDA_20percent_integblock_pol_2_041224_1,MDA_20percent_integblock_pol_2_041224_2, MDA_20percent_integblock_pol_1_131224_1, MDA_20percent_integblock_pol_1_131224_2,MDA_20percent_integblock_pol_2_131224_1, MDA_20percent_integblock_pol_2_131224_2]
MDA_20percent_integblock_freqsweep = [MDA_20percent_integblock_freqsweep_1_041224_1,MDA_20percent_integblock_freqsweep_1_041224_2, MDA_20percent_integblock_freqsweep_2_041224_1 ,MDA_20percent_integblock_freqsweep_2_041224_2, MDA_20percent_integblock_freqsweep_1_131224_1, MDA_20percent_integblock_freqsweep_1_131224_2,MDA_20percent_integblock_freqsweep_2_131224_1, MDA_20percent_integblock_freqsweep_2_131224_2]
MDA_20percent_integblock_stressramp = [MDA_20percent_integblock_stressramp_1_041224_1,MDA_20percent_integblock_stressramp_1_041224_2,MDA_20percent_integblock_stressramp_2_041224_1 ,MDA_20percent_integblock_stressramp_2_041224_2, MDA_20percent_integblock_stressramp_1_131224_1, MDA_20percent_integblock_stressramp_1_131224_2,MDA_20percent_integblock_stressramp_2_131224_1, MDA_20percent_integblock_stressramp_2_131224_2]

##Arrays of CTL collagen for experiment with anti-beta 1 human integrin blocking antibody - to use for normalization
CTL_pol_integblock = [CTL_integblock_pol_131224_1, CTL_integblock_pol_131224_2]
CTL_freqsweep_integblock = [CTL_integblock_freqsweep_131224_1, CTL_integblock_freqsweep_131224_2]
CTL_stressramp_integblock = [CTL_integblock_stressramp_131224_1, CTL_integblock_stressramp_131224_2]

##Arrays from PPE Lab experiments CTL collagen: 15/02/2024 and 27/02/2024 

CTL_pol_PPE = [CTL_pol_2_150224, CTL_pol_3_150224,CTL_pol_270224]  
CTL_freqsweep_PPE = [CTL_freqsweep_2_150224, CTL_freqsweep_3_150224, CTL_freqsweep_270224]
CTL_stressramp_PPE = [CTL_stressramp_2_150224, CTL_stressramp_3_150224, CTL_stressramp_270224] 


##Arrays from PPE Lab experiments with  1% cells: 15/02/2024 and 27/02/2024 
MDA_1percent_pol_PPE = [MDA_1percent_pol_200224]
MDA_1percent_freqsweep_PPE = [MDA_1percent_freqsweep_200224]
MDA_1percent_stressramp_PPE = [MDA_1percent_stressramp_200224]


##Arrays for CTL telocollagen: 16/05/2024, 17/05/2024, 22/05/2024, 29/05/2024

CTL_telo_pol =  [CTL_telo_pol_160524_1, CTL_telo_pol_160524_2, CTL_telo_pol_170524_1, CTL_telo_pol_170524_2, CTL_telo_pol_220524_1, CTL_telo_pol_220524_2, CTL_telo_pol_290524_1, CTL_telo_pol_290524_2]
CTL_telo_freqsweep =[CTL_telo_freqsweep_160524_1, CTL_telo_freqsweep_160524_2, CTL_telo_freqsweep_170524_1, CTL_telo_freqsweep_170524_2, CTL_telo_freqsweep_220524_1, CTL_telo_freqsweep_220524_2, CTL_telo_freqsweep_290524_1, CTL_telo_freqsweep_290524_2] 
CTL_telo_stressramp = [CTL_telo_stressramp_160524_1, CTL_telo_stressramp_160524_2, CTL_telo_stressramp_170524_1, CTL_telo_stressramp_170524_2, CTL_telo_stressramp_220524_1, CTL_telo_stressramp_220524_2, CTL_telo_stressramp_290524_1, CTL_telo_stressramp_290524_2]

##Arrays for 4% cells in telocollagen: 17/05/2024, 22/05/2024, 29/05/2024
MDA_4percent_telo_pol = [MDA_4percent_pol_1_17052024_1, MDA_4percent_pol_1_17052024_2, MDA_4percent_pol_2_17052024_1, MDA_4percent_pol_2_17052024_2, MDA_4percent_pol_22052024_1, MDA_4percent_pol_22052024_2, MDA_4percent_pol_29052024_1]
MDA_4percent_telo_freqsweep = [MDA_4percent_freqsweep_1_17052024_1, MDA_4percent_freqsweep_1_17052024_2, MDA_4percent_freqsweep_2_17052024_1, MDA_4percent_freqsweep_2_17052024_2, MDA_4percent_freqsweep_22052024_1, MDA_4percent_freqsweep_22052024_2, MDA_4percent_freqsweep_29052024_1]
MDA_4percent_telo_stressramp = [MDA_4percent_stressramp_1_17052024_1, MDA_4percent_stressramp_1_17052024_2, MDA_4percent_stressramp_2_17052024_1, MDA_4percent_stressramp_2_17052024_2, MDA_4percent_stressramp_22052024_1, MDA_4percent_stressramp_22052024_2, MDA_4percent_stressramp_29052024_1 ]

##Arrays for 20% cells in telocollagen:22/05/2024, 29/05/2024
MDA_20percent_telo_pol = [MDA_20percent_pol_1_22052024_1, MDA_20percent_pol_1_22052024_2, MDA_20percent_pol_2_22052024_1, MDA_20percent_pol_2_22052024_2, MDA_20percent_pol_3_22052024_1, MDA_20percent_pol_3_22052024_2, MDA_20percent_pol_1_29052024_1, MDA_20percent_pol_1_29052024_2, MDA_20percent_pol_2_29052024_1, MDA_20percent_pol_2_29052024_2]
MDA_20percent_telo_freqsweep = [MDA_20percent_freqsweep_1_22052024_1, MDA_20percent_freqsweep_1_22052024_2, MDA_20percent_freqsweep_2_22052024_1, MDA_20percent_freqsweep_2_22052024_2, MDA_20percent_freqsweep_3_22052024_1, MDA_20percent_freqsweep_3_22052024_2, MDA_20percent_freqsweep_1_29052024_1, MDA_20percent_freqsweep_1_29052024_2, MDA_20percent_freqsweep_2_29052024_1, MDA_20percent_freqsweep_2_29052024_2]
MDA_20percent_telo_stressramp = [MDA_20percent_stressramp_1_22052024_1, MDA_20percent_stressramp_1_22052024_2, MDA_20percent_stressramp_2_22052024_1, MDA_20percent_stressramp_2_22052024_2, MDA_20percent_stressramp_3_22052024_1, MDA_20percent_stressramp_3_22052024_2, MDA_20percent_stressramp_1_29052024_1, MDA_20percent_stressramp_1_29052024_2, MDA_20percent_stressramp_2_29052024_1, MDA_20percent_stressramp_2_29052024_2]

##Arrays for CTL atelocollagen 2 mg/mL: 25/06/2024
CTL_2mgmL_pol = [CTL_2mgmL_pol_250624_1,CTL_2mgmL_pol_250624_2]
CTL_2mgmL_freqsweep = [CTL_2mgmL_freqsweep_250624_1,CTL_2mgmL_freqsweep_250624_2]
CTL_2mgmL_stressramp = [CTL_2mgmL_stressramp_250624_1,CTL_2mgmL_stressramp_250624_2]

##Arrays for 4% cells in atelocollagen 2 mg/mL: 25/06/2024
MDA_4percent_2mgmL_pol = [MDA_4percent_2mgmL_pol_1_250624_1,MDA_4percent_2mgmL_pol_1_250624_2,MDA_4percent_2mgmL_pol_2_250624_1,MDA_4percent_2mgmL_pol_2_250624_2]
MDA_4percent_2mgmL_freqsweep = [MDA_4percent_2mgmL_freqsweep_1_250624_1,MDA_4percent_2mgmL_freqsweep_1_250624_2,MDA_4percent_2mgmL_freqsweep_2_250624_1,MDA_4percent_2mgmL_freqsweep_2_250624_2]
MDA_4percent_2mgmL_stressramp = [MDA_4percent_2mgmL_stressramp_1_250624_1,MDA_4percent_2mgmL_stressramp_1_250624_2,MDA_4percent_2mgmL_stressramp_2_250624_1,MDA_4percent_2mgmL_stressramp_2_250624_2]

##Arrays for 20% cells in atelocollagen 2 mg/mL: 25/06/2024
MDA_20percent_2mgmL_pol = [MDA_20percent_2mgmL_pol_250624_1,MDA_20percent_2mgmL_pol_250624_2]
MDA_20percent_2mgmL_freqsweep = [MDA_20percent_2mgmL_freqsweep_250624_1,MDA_20percent_2mgmL_freqsweep_250624_2]
MDA_20percent_2mgmL_stressramp = [MDA_20percent_2mgmL_stressramp_250624_1,MDA_20percent_2mgmL_stressramp_250624_2]