# -*- coding: utf-8 -*-
"""
Created on Thu Sep 12 14:52:13 2024

@author: inagle
"""

# -*- coding: utf-8 -*-
import numpy as np
import matplotlib.pyplot as pl
import pandas as pd
from scipy.optimize import fsolve
from scipy.ndimage import gaussian_filter1d
from apMethods_Pol_FreqSweep_StressRamp_V5 import *


#Load the data
CTL_avg = average(CTL_pol, 'Storage Modulus')  
time_pol = np.array(CTL_pol[0]['Time'], dtype='float64')
dt = time_pol[1]-time_pol[0]

sigma = 2
#Smooth the curve
CTL_smooth = gaussian_filter1d(CTL_avg, sigma)
#Compute first derivative
dy = np.gradient(CTL_smooth)
#Compute second derivative
d2y = np.gradient(dy)

# Find the max of the first derivative and the corresponding index ind_tM and time tM
ind_tM = np.argmax(dy)
tM = ind_tM *5

#Equation of the tangent to the curve where the first derivative is maximal.
tang = dy[ind_tM]/dt*(time_pol-tM)+CTL_smooth[ind_tM]


#Finding the intersection of that tangent with the abcissa axis (t axis). It gives a value t1 corresponding to the onset time.
ind_t1=0
for i in range (1,len(dy)):
    if tang [i-1]*tang[i]< 0:  # Check if the product of consecutive y values is negative
        ind_t1 = i-1
t1 = ind_t1*dt
print(t1)

# Finding the intersection of that tangent with the tangent to the Plateau. It gives a value t2 corresponding to the final time.
X=200 # number of final points taken into account for the calculation of the mean of the first derivative 
tang2 = np.mean(dy[len(dy)-X:len(dy)-1])/dt*(time_pol-time_pol[len(time_pol)-1]) + CTL_smooth[len(time_pol)-1]
ind_t2 = 0
for i in range (1,len(dy)):
    if (tang[i-1]-tang2[i-1])*(tang[i]-tang2[i])< 0:  # Check if the product of consecutive y values is negative
        ind_t2 = i-1
    t2 = ind_t2*dt

# Plotting the curve with the tangent, its intersection to the t axis and with the tangent to the Plateau. 
pl.figure()
pl.plot(time_pol,CTL_smooth)
pl.plot(time_pol,tang, 'k--', lw = 1)
# pl.plot(time_pol,tang2, 'k--', lw = 1)
pl.plot(tM,CTL_smooth[ind_tM],marker='o', color = 'y')
pl.plot(t1,0,marker='o', color = 'g')
# pl.plot(t2,tang[ind_t2],marker='o', color = 'r')
pl.ylim(0,120)
pl.xlabel(r'Time (s)')
pl.ylabel(r'$G^{\prime}$ $(Pa)$')

# Plotting the first derivative and the max of the first derivative at tM
pl.figure()
pl.plot(time_pol,dy)
pl.plot(tM,dy[ind_tM],marker='o', color = 'y')

# Plotting the second derivative and the max of the first derivative at tM corresponding to where the second derivative is equal to zero
pl.figure()
pl.plot(time_pol,d2y)
pl.plot(tM,d2y[ind_tM],marker='o', color = 'y')


##Find the index value and corresponding time where the second derivative is tangual to zero.
# crossings = []
# for i in range(1, len(d2y)):
#     if d2y[i-1] * d2y[i] < 0:  # Check if the product of consecutive y values is negative
#         crossings.append(i)
# print(crossings)
# ind_tc = crossings[0]
# tc = crossings[0]*5
# print(tc)

# Find the indices and corresponding times of the max and min of the second derivative ==> Actually does not give the points we are looking for. 
# ind_onset_time = np.argmax(d2y)
# onset_time = np.argmax(d2y)*dt
# ind_final_time = np.argmin(d2y)
# final_time = np.argmin(d2y)*dt