# -*- coding: utf-8 -*-
"""
Created on Fri Aug  9 13:25:39 2024

@author: inagle
"""
import pandas as pd
from apMethods_ReadRheo_Datacollection_mt import *

from functions_decrease import *
# from functions_decrease import decrease_percentage

#%% SECTION FOR THE CALCULATION OF ALL TABLES 

#Calculation of the tables of 0 and 1 for each condition, to assess if there is a decrease
# above the percentage value for the polymerization curve on the storage modulus 
value = 10
decrease_CTL = polym_decrease(CTL_pol,value)

decrease_MDA_0pt1percent = polym_decrease(MDA_0pt1percent_pol_tot,value)
print(decrease_MDA_0pt1percent)

decrease_MDA_1percent = polym_decrease(MDA_1percent_pol,value)

decrease_MDA_20percent = polym_decrease(MDA_20percent_pol,value)
print(np.size(decrease_MDA_20percent,0))

decrease_MDA_4percent_DMSO = polym_decrease(MDA_4percent_DMSO_pol,value)

decrease_MDA_4percent_CTL = polym_decrease(MDA_4percentCTL_pol,value) ##Corresponding CTL of DMSO experiments 

decrease_MDA_20percent_DMSO = polym_decrease(MDA_20percent_DMSO_pol,value)

decrease_MDA_1percent_10uMBleb2D = polym_decrease(MDA_1percent_10uMBleb2D_pol ,value)

decrease_MDA_20percent_10uMBleb2D = polym_decrease(MDA_20percent_10uMBleb2D_pol,value)


#%%SECTION FOR CTL - 0.4% - 4% - 20% 
 
# Creating a table with each line corresponding to one condition for CTL - 0.4% - 4% - 20% 
# The first line corresponds to the Title of the sample,
# the second line is the number of samples that don't have decrease above a percentage set by "value" (corresponding to a 0)
# the third line is the total number of samples 
table = [['CTL','0.4%','4%','20%'],
         [np.count_nonzero(decrease_CTL),
          np.count_nonzero(decrease_MDA_0pt1percent),
          np.count_nonzero(decrease_MDA_1percent),
          np.count_nonzero(decrease_MDA_20percent)],
          [np.size(decrease_CTL,0),
          np.size(decrease_MDA_0pt1percent,0),
          np.size(decrease_MDA_1percent,0),
          np.size(decrease_MDA_20percent,0)]]
    

table_norm=table
print(table_norm)

# Renormalizing by the number total number of samples per condition, to get a percentage.
for i in range (np.size(table_norm,1)) :
    table_norm[1][i] =  table[1][i]/table[2][i]*100
    table_norm[2][i] =  (100 - table_norm[1][i])



# Plot bars in stack manner
pl.figure(figsize=(8, 6))
pl.bar(table_norm[0], table_norm[1], color='dimgray', label=f"Decrease of more than {value}%", width = 0.6)
pl.bar(table_norm[0], table_norm[2], bottom=table_norm[1], color='gainsboro', label="No decrease", width = 0.6)

# Set labels
pl.ylabel("Percentage (%)",fontsize=30)
pl.xticks(fontsize=26)  
pl.yticks(fontsize =26)
pl.legend(["Decrease of more than " + str(value) + "%" ,"No decrease"],fontsize = 18, loc="upper left")


# Adjust layout to accommodate legend
pl.tight_layout()


pl.savefig('C:/Users/mtavasso/OneDrive - Delft University of Technology/Rheomicroscopy/Paper/Figures/Supplementary figures/Supplementary - Figure 1/Histogram decrease - Fig1.png', dpi=300, bbox_inches='tight')
pl.show()

#%%
##SECTION FOR CTL, 4% - 4% Bleb - 4% DMSO - 20% - 20% DMSO - 20% Bleb 

# # Creating a table with each line corresponding to one condition for 4% - 4% Bleb - 20% - 20% DMSO - 20% Bleb 
# # The first line corresponds to the Title of the sample,
# # the second line is the number of samples that don't have decrease above a percentage set by "value" (corresponding to a 0)
# # the third line is the total number of samples 
# table2 = [['CTL','4%','20%', '4% - Bleb','20% - DMSO', '20% - Bleb'],
#          [np.count_nonzero(decrease_CTL),
#           np.count_nonzero(decrease_MDA_1percent),
#           np.count_nonzero(decrease_MDA_20percent),
#           np.count_nonzero(decrease_MDA_1percent_10uMBleb2D),
#           np.count_nonzero(decrease_MDA_20percent_DMSO),
#           np.count_nonzero(decrease_MDA_20percent_10uMBleb2D)],
#           [np.size(decrease_CTL,0),
#           np.size(decrease_MDA_1percent,0),
#           np.size(decrease_MDA_20percent,0),
#           np.size(decrease_MDA_1percent_10uMBleb2D,0),
#           np.size(decrease_MDA_20percent_DMSO,0),
#           np.size(decrease_MDA_20percent_10uMBleb2D,0)]]

# # Renormalizing by the number total number of samples per condition, to get a percentage.
# table_norm2=table2
          

# # Renormalizing by the number total number of samples per condition, to get a percentage.
# for i in range (np.size(table_norm2,1)) :
#     table_norm2[1][i] =  table2[1][i]/table2[2][i]*100
#     table_norm2[2][i] =  (100 - table_norm2[1][i])

# # # Plot bars in stack manner
# pl.bar(table_norm2[0][:7], table_norm2[1][:7], color='grey')
# pl.bar(table_norm2[0][:7], table_norm2[2][:7], bottom=table_norm2[1][:7], color='gainsboro')

# # pl.bar(table_norm2[0][0], table_norm2[1][0], color='blue')
# # pl.bar(table_norm2[0][0], table_norm2[2][0], bottom=table_norm2[1][0], color='lightblue')

# # pl.bar(table_norm2[0][1], table_norm2[1][1], color='g')
# # pl.bar(table_norm2[0][1], table_norm2[2][1], bottom=table_norm2[1][1], color='lightgreen')

# # pl.bar(table_norm2[0][3], table_norm2[1][3], color='r')
# # pl.bar(table_norm2[0][3], table_norm2[2][3], bottom=table_norm2[1][3], color='lightcoral')


# pl.ylabel("Percentage (%)",fontsize=12)
# pl.legend(["Decrease of more than " + str(value) + "%" ,"No decrease"],loc="upper right")
# # pl.xticks(rotation=90)
# pl.show()


#%%
#%% SECTION FOR  4% Bleb - 4% DMSO - 20% - 20% DMSO 

# # Creating a table with each line corresponding to one condition for 4% - 4% Bleb - 20% - 20% DMSO - 20% Bleb 
# # The first line corresponds to the Title of the sample,
# # the second line is the number of samples that don't have decrease above a percentage set by "value" (corresponding to a 0)
# # the third line is the total number of samples 
# table3 = [['4%-DMSO', '4%-Bleb', '20%-DMSO', '20%-Bleb'],
#           [np.count_nonzero(decrease_MDA_4percent_DMSO),
#            np.count_nonzero(decrease_MDA_1percent_10uMBleb2D),
#            np.count_nonzero(decrease_MDA_20percent_DMSO),
#            np.count_nonzero(decrease_MDA_20percent_10uMBleb2D)],
#           [np.size(decrease_MDA_4percent_DMSO, 0),
#            np.size(decrease_MDA_1percent_10uMBleb2D, 0),
#            np.size(decrease_MDA_20percent_DMSO, 0),
#            np.size(decrease_MDA_20percent_10uMBleb2D, 0)]]

# # Renormalizing by the number total number of samples per condition, to get a percentage.
# table_norm3 = np.array(table3, dtype=object)  # Convert to numpy array if not already

# for i in range(np.size(table_norm3, 1)):
#     table_norm3[1, i] = table_norm3[1, i] / table_norm3[2, i] * 100
#     table_norm3[2, i] = 100 - table_norm3[1, i]

# # Plot bars in stack manner
# pl.figure(figsize=(8, 6))
# pl.bar(table_norm3[0], table_norm3[1], color='dimgray', label=f"Decrease of more than {value}%", width=0.6)
# pl.bar(table_norm3[0], table_norm3[2], bottom=table_norm3[1], color='gainsboro', label="No decrease", width=0.6)

# # Set labels
# pl.ylabel("Percentage (%)", fontsize=22)
# pl.yticks(fontsize=18)
# pl.xticks(fontsize=22)

# # Configure the legend to appear outside the plot
# pl.legend(loc='upper left', fontsize=16)

# # Adjust layout to accommodate legend
# pl.tight_layout()
# pl.savefig('C:/Users/mtavasso/OneDrive - Delft University of Technology/Rheomicroscopy/Paper/Figures/Supplementary figures/Supplementary - Figure 4/Histogram decrease - Fig4.png', dpi=300, bbox_inches='tight')
# pl.show()

#%%
##SECTION FOR CTL, 4% - 4% Bleb - 4% DMSO

# Creating a table with each line corresponding to one condition for 4% - 4% Bleb - 20% - 20% DMSO - 20% Bleb 
# The first line corresponds to the Title of the sample,
# the second line is the number of samples that don't have decrease above a percentage set by "value" (corresponding to a 0)
# the third line is the total number of samples 

table2 = [['4%', '4% - Bleb','4% - DMSO'],
         [np.count_nonzero(decrease_MDA_4percent_CTL),
          np.count_nonzero(decrease_MDA_1percent_10uMBleb2D),
          np.count_nonzero(decrease_MDA_4percent_DMSO)],
          [
          np.size(decrease_MDA_4percent_CTL,0),
          np.size(decrease_MDA_1percent_10uMBleb2D,0),
          np.size(decrease_MDA_4percent_DMSO,0)]]

# Renormalizing by the number total number of samples per condition, to get a percentage.
table_norm2=table2
          

# Renormalizing by the number total number of samples per condition, to get a percentage.
for i in range (np.size(table_norm2,1)) :
    table_norm2[1][i] =  table2[1][i]/table2[2][i]*100
    table_norm2[2][i] =  (100 - table_norm2[1][i])

# # Plot bars in stack manner
pl.bar(table_norm2[0][:7], table_norm2[1][:7], color='grey')
pl.bar(table_norm2[0][:7], table_norm2[2][:7], bottom=table_norm2[1][:7], color='gainsboro')

# pl.bar(table_norm2[0][0], table_norm2[1][0], color='blue')
# pl.bar(table_norm2[0][0], table_norm2[2][0], bottom=table_norm2[1][0], color='lightblue')

# pl.bar(table_norm2[0][1], table_norm2[1][1], color='g')
# pl.bar(table_norm2[0][1], table_norm2[2][1], bottom=table_norm2[1][1], color='lightgreen')

# pl.bar(table_norm2[0][3], table_norm2[1][3], color='r')
# pl.bar(table_norm2[0][3], table_norm2[2][3], bottom=table_norm2[1][3], color='lightcoral')


pl.ylabel("Percentage (%)",fontsize=12)
pl.legend(["Decrease of more than " + str(value) + "%" ,"No decrease"],loc="upper right")
# pl.xticks(rotation=90)
pl.show()
